-- ------------------------------------------------------------------------------
-- RP Tags
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

-- Const: constants
--
-- available under RPTAGS.const
--
local RPTAGS = RPTAGS;

table.insert(RPTAGS.startup, function(state) -- startup function
  
  local GetAddOnMetadata = GetAddOnMetadata;
  
    -- ----------------- - Temporary values that are used later in rptags.globals
    --  
  local CFF               = "|cff";

  local BLACK             = "000000";
  local CYAN              = "ff3399";
  local GREEN             = "33ff33";
  local GREY              = "999999";
  local LIGHT_ORANGE      = "dd9933";
  local LITE_BLUE         = "00bbbb";
  local LITE_GREY         = "bbbbbb";
  local ORANGE            = "ff9966"; 
  local ORA_COLOR         = "bb00bb";
  local PINK              = "ff66ff";
  local RED               = "ff3333";
  local VIOLET            = "dd33aa";
  local WHITE             = "ffffff";
  local YELLOW            = "ffff66";

  local RESET             = "|r";
  local MALE              = 2;
  local NEUTER            = 1;
  local FEMALE            = 3 ;
  local THEY              = 8675309; -- this is a custom number used internally
  local GENDER_UNKNOWN    = 5552368; -- also a custom number
  local GENDER_DEFAULT    = NEUTER;
  
  RPTAGS.const.CONFIG = { 
    KEYS = {      -- these are going away although there is still some code that refers to Keys[key] or whatever
      ADULT_GENDERS      = "rptags_adult_gender",
      CHANGES_MESSAGE    = "rptags_changes_message",
      COLOR_EQUALISH     = "rptags_color_equalish",
      COLOR_FEMALE       = "rptags_gendercolor_female",
      COLOR_GREATERTHAN  = "rptags_color_greaterthan",
      COLOR_HILITE_1     = "rptags_color_hilite_1",
      COLOR_HILITE_2     = "rptags_color_hilite_2",
      COLOR_HILITE_3     = "rptags_color_hilite_3",
      COLOR_IC           = "rptags_color_status_ic",
      COLOR_LESSTHAN     = "rptags_color_lessthan",
      COLOR_MALE         = "rptags_gendercolor_male",
      COLOR_NEUTER       = "rptags_gendercolor_neuter",
      COLOR_NPC          = "rptags_color_status_npc",
      COLOR_OOC          = "rptags_color_status_ooc",
      COLOR_RPUF         = "rptags_rpuf_frame_background_color",
      COLOR_RPUF_TEXT    = "rptags_rpuf_frame_text_color", 
      COLOR_RPUF_TOOLTIP = "rptags_rpuf_frame_tooltip_text_color",
      COLOR_THEY         = "rptags_gendercolor_they",
      COLOR_UNKNOWN      = "rptags_color_unknown",
      DETAILHEIGHT       = "rptags_rpuf_details_panel_height",
      DETAILPANEL        = "rptags_rpuf_details_panel_contents",
      DETAIL_TOOLTIP     = "rptags_rpuf_tooltips_details_panel",
      DISABLE_BLIZZARD   = "rptags_rpuf_disable_blizzard",
      DISABLE_RPUF       = "rptags_rpuf_disable_rp_unitframes",
      FOCUSLAYOUT        = "rptags_rpuf_focus_and_targettarget_layout",
      GAPSIZE            = "rptags_rpuf_layout_gap_size",
      GLANCE_COLON       = "rptags_at_first_glance_colon",
      GLANCE_DELIM       = "rptags_at_first_glance_delimiter",
      ICONWIDTH          = "rptags_rpuf_icon_panel_width",
      ICON_1             = "rptags_rpuf_icon_1_slot_contents",
      ICON_1_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_1",
      ICON_2             = "rptags_rpuf_icon_2_slot_contents",
      ICON_2_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_2",
      ICON_3             = "rptags_rpuf_icon_3_slot_contents",
      ICON_3_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_3",
      ICON_4             = "rptags_rpuf_icon_4_slot_contents",
      ICON_4_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_4",
      ICON_5             = "rptags_rpuf_icon_5_slot_contents",
      ICON_5_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_5",
      ICON_6             = "rptags_rpuf_icon_6_slot_contents",
      ICON_6_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_6",
      INFOPANEL          = "rptags_rpuf_info_panel_contents",
      INFOWIDTH          = "rptags_rpuf_info_panel_width",
      INFO_TOOLTIP       = "rptags_rpuf_tooltips_info_panel",
      LINEBREAKS         = "rptags_linebreaks",
      LOCK_FRAMES        = "rptags_rpuf_lock_frames", 
      LOGIN_MESSAGE      = "rptags_login_message",
      NAMEPANEL          = "rptags_rpuf_name_panel_contents",
      NAME_TOOLTIP       = "rptags_rpuf_tooltips_name_panel",
      NOTE_1_ICON        = "rptags_notes_alert_1_icon",
      NOTE_1_STRING      = "rptags_notes_alert_1",
      NOTE_2_ICON        = "rptags_notes_alert_2_icon",
      NOTE_2_STRING      = "rptags_notes_alert_2",
      NOTE_3_ICON        = "rptags_notes_alert_3_icon",
      NOTE_3_STRING      = "rptags_notes_alert_3",
      PARSE_AGE          = "rptags_parse_age",
      PARSE_GENDER       = "rptags_parse_gender",
      PARSE_HW           = "rptags_parse_height_weight",
      PLAYERLAYOUT       = "rptags_rpuf_player_layout",
      PORTRAIT_TOOLTIP   = "rptags_rpuf_tooltips_portrait",
      PORTRAIT_TYPE      = "rptags_rpuf_portrait_type_camera",
      PORTWIDTH          = "rptags_rpuf_portrait_width",
      PROFILESIZE_FMT    = "rptags_profilesize_format",
      REAL_ELLIPSES      = "rptags_real_ellipses",
      REFERENCE_TOPIC    = "rptags_reference_topic",
      RESET_COLORS       = "rptags_colors_reset",
      RESET_FRAMES       = "rptags_rpuf_reset_frame_dimensions",
      RESET_TAGS         = "rptags_rpuf_reset_tag_values",
      RPUFALPHA          = "rptags_rpuf_alpha",
      RPUF_BACKDROP      = "rptags_rpuf_backdrop_texture",
      RPUF_HIDE_COMBAT   = "rptags_rpuf_hide_in_combat",
      RPUF_HIDE_PETBATTLE   = "rptags_rpuf_hide_in_petbattle",
      RPUF_HIDE_PARTY    = "rptags_rpuf_hide_in_party",
      RPUF_HIDE_VEHICLE  = "rptags_rpuf_hide_in_vehicle",
      RPUF_HIDE_DEAD     = "rptags_rpuf_hide_when_dead",
      RPUF_HIDE_RAID     = "rptags_rpuf_hide_in_raid",
      RPUF_WITH_ELVUI    = "rptags_rpuf_runs_with_elvui",
      SIZEBUFF_FMT       = "rptags_sizebuffs_format",
      STATUSHEIGHT       = "rptags_rpuf_status_panel_height",
      STATUSPANEL        = "rptags_rpuf_status_panel_contents",
      STATUS_TOOLTIP     = "rptags_rpuf_tooltips_statusbar_panel",
      TARGETLAYOUT       = "rptags_rpuf_target_layout",
      TARGETTARGETLAYOUT = "rptags_rpuf_targettarget_layout",
      UNITS_HEIGHT       = "rptags_units_height",
      UNITS_WEIGHT       = "rptags_units_weight",

      PLAYERFRAME_SCALE  = "rptags_rpuf_player_frame_scaling_factor",
      TARGETFRAME_SCALE  = "rptags_rpuf_target_frame_scaling_factor",
      FOCUSFRAME_SCALE   = "rptags_rpuf_focus_frame_scaling_factor",
      TARGETTARGETFRAME_SCALE = "rptags_rpuf_targettarget_frame_scaling_factor",
      UNSUP_TAG          = "rptags_tag_unsupported_by_rp_client",

      PARTYLAYOUT        = "rptags_rpuf_party_and_raid_layout",  -- not yet implemented
      RAIDLAYOUT         = "rptags_rpuf_raid_layout",            -- not yet implemented
      PARTY_ORIENTATION  = "rptags_rpuf_party_orientation",
      RAID_GRID          = "rptags_rpuf_raid_grid",
      STATUS_TEXTURE     = "rptags_rpuf_status_bar_texture", 
      STATUS_ALIGN       = "rptags_rpuf_status_bar_alignment",
      PORTRAIT_STYLE     = "rptags_rpuf_portrait_style",

--    CURR_SIZE          = "rptags_size_currently", -- removed
--    CURR_WRAP          = "rptags_wrap_currently", -- removed
--    GLANCETITLE_SIZE   = "rptags_size_glancetitle",
--    GLANCETITLE_WRAP   = "rptags_wrap_glancetitle",
--    GLANCE_SIZE        = "rptags_size_glance",
--    GLANCE_WRAP        = "rptags_wrap_glance",
--    IC_ONLY            = "rptags_ic_only", -- removed
--    MISC_SIZE          = "rptags_size_misc",
--    MISC_WRAP          = "rptags_wrap_misc",
--    NAME_SIZE          = "rptags_size_name",
--    NAME_WRAP          = "rptags_wrap_name",
--    TITLE_SIZE         = "rptags_size_title",
--    TITLE_WRAP         = "rptags_wrap_title",
      }, -- KEYS
    DEFAULTS = {  -- these are still necessary
      ADULT_GENDERS      = false,
      CHANGES_MESSAGE    = true,
      COLOR_EQUALISH     = LITE_GREY,
      COLOR_FEMALE       = PINK,
      COLOR_GREATERTHAN  = LITE_BLUE,
      COLOR_HILITE_1     = CYAN,
      COLOR_HILITE_2     = YELLOW,
      COLOR_HILITE_3     = ORANGE,
      COLOR_IC           = GREEN,
      COLOR_LESSTHAN     = YELLOW,
      COLOR_MALE         = LITE_BLUE,
      COLOR_NEUTER       = LITE_GREY,
      COLOR_NPC          = YELLOW,
      COLOR_OOC          = RED,
      COLOR_RPUF         = "000000",
      COLOR_RPUF_TEXT    = "ffffff",
      COLOR_RPUF_TOOLTIP = "ffff00",
      COLOR_THEY         = YELLOW,
      COLOR_UNKNOWN      = LITE_GREY,
      DETAILHEIGHT       = 100,
      DETAILPANEL        = "[rp:oocinfo]",
      DETAIL_TOOLTIP     = "[rp:statuscolor][rp:ic][rp:ooc][nocolor] [rp:oocinfo-label]",
      DISABLE_RPUF       = false,
      DISABLE_BLIZZARD      = false,
      EXTEND_GENDER      = false,
      FOCUSLAYOUT        = "COMPACT",
      FORMATTING_TAGS    = true,
      GAPSIZE            = 6,
      GLANCE_COLON       = ": ",
      GLANCE_DELIM       = "\n",
      ICONWIDTH          = 25,
      ICON_1             = "[rp:icon]",
      ICON_1_TOOLTIP     = "[rp:style-yes-label][br][rp:style-ask-label][br][rp:style-no-label]",
      ICON_2             = "[rp:glance-1-icon]",
      ICON_2_TOOLTIP     = "[rp:glance-1-full]",
      ICON_3             = "[rp:glance-2-icon]",
      ICON_3_TOOLTIP     = "[rp:glance-2-full]",
      ICON_4             = "[rp:glance-3-icon]",
      ICON_4_TOOLTIP     = "[rp:glance-3-full]",
      ICON_5             = "[rp:glance-4-icon]",
      ICON_5_TOOLTIP     = "[rp:glance-4-full]",
      ICON_6             = "[rp:glance-5-icon]",
      ICON_6_TOOLTIP     = "[rp:glance-5-full]",
      INFOPANEL          = "[rp:race] [rp:class]",
      INFOWIDTH          = 200,
      INFO_TOOLTIP       = "[rp:gendercolor][rp:gender][nocolor] [rp:guildcolor][race] [rp:friendcolor][class] [level]",
      LINEBREAKS         = false,
      LOCK_FRAMES        = false,
      LOGIN_MESSAGE      = true,
      NAMEPANEL          = "[rp:color][rp:name]",
      NAME_TOOLTIP       = "[rp:namecolor][rp:friendcolor][rp:firstname] [rp:nick-quoted] [rp:lastname][nocolor][br][rp:title-long][p][rp:guildcolor][rp:guild-label][nocolor] [rp:guildstatuscolor][rp:guild-status][nocolor][br][rp:guild-rank-label]",
      NOTE_1_ICON        = "INV_Misc_ScrollUnrolled03.PNG",
      NOTE_1_STRING      = "Warning:",
      NOTE_2_ICON        = "INV_Misc_ScrollUnrolled03d.PNG",
      NOTE_2_STRING      = "Reminder:",
      NOTE_3_ICON        = "INV_Misc_ScrollUnrolled02c.PNG",
      NOTE_3_STRING      = "Alt of",
      PARSE_AGE          = false,
      PARSE_GENDER       = false,
      PARSE_HW           = false,
      PLAYERLAYOUT       = "ABRIDGED",
      PORTRAIT_TOOLTIP   = "[rp:eyecolor][rp:eyes-label][nocolor][br][rp:hair-label][br][rp:actor-label]",
      PORTRAIT_TYPE      = "FACE",
      PORTWIDTH          = 100,
      PROFILESIZE_FMT    = "WRD_PAR_NUM",
      REAL_ELLIPSES      = true,
      RESET_COLORS       = true,
      RESET_FRAMES       = true,
      RESET_TAGS         = true,
      RPUFALPHA          = 65,
      RPUF_BACKDROP      = "BLIZZTOOLTIP",
      REFERENCE_TOPIC    = RPTAGS.utils.locale.loc("HELP_DEFAULT"),

      RPUF_HIDE_COMBAT   = true,
      RPUF_HIDE_VEHICLE  = true,
      RPUF_HIDE_PETBATTLE = true,
      RPUF_HIDE_PARTY    = false,
      RPUF_HIDE_DEAD     = false,
      RPUF_HIDE_RAID     = true, 

      RPUF_WITH_ELVUI    = true,
      SIZEBUFF_FMT       = "PCT_BRC",
      STATUSHEIGHT       = 35,
      STATUSPANEL        = "[rp:statuscolor][rp:ic][rp:ooc] [nocolor][rp:currently]",
      STATUS_TOOLTIP     = "[rp:statuscolor][rp:ic][rp:ooc] [nocolor][rp:currently-label]",
      TARGETLAYOUT       = "FULL",
      TARGETTARGETLAYOUT = "COMPACT",
      UNITS_HEIGHT       = "CM_FT_IN",
      UNITS_WEIGHT       = "KG_LB",

      PLAYERFRAME_SCALE  = 0.9,
      TARGETFRAME_SCALE  = 0.9,
      FOCUSFRAME_SCALE   = 0.75,
      -- TARGETTARGETFRAME_SCALE = 0.75,
      UNSUP_TAG          = "??",
      STATUS_ALIGN       = "CENTER",
      STATUS_TEXTURE     = "SHADED",
      PORTRAIT_STYLE     = "LAYOUT",
--    CURR_SIZE          = 30,
--    CURR_WRAP          = "WRAP_ONCE",
--    GLANCETITLE_SIZE   = 30,
--    GLANCETITLE_WRAP   = "WORD_TRUNC",
--    GLANCE_SIZE        = 30,
--    GLANCE_WRAP        = "WORD_TRUNC",
--    IC_ONLY            = false,
--    MISC_SIZE          = 30,
--    MISC_WRAP          = "WORD_TRUNC",
--    NAME_SIZE          = 30,
--    NAME_WRAP          = "TRUNCATE",
--    TITLE_SIZE         = 30,
--    TITLE_WRAP         = "WORD_TRUNC",
      PARTYLAYOUT        = "ABRIDGED",    -- not implemented yet
      RAIDLAYOUT         = "COMPACT",     -- not implemented yet
      PARTY_ORIENTATION  = "VERTICAL",
      RAID_GRID          = "5X8",
--    PARTYFRAME_SCALE   = 0.5,           -- not implemented yet
--    RAIDFRAME_SCALE    = 0.25,          -- not implemented yet
    }, -- DEFAULTS
    GROUPS = { -- these are very necessary
      COLORS = { 
                 "COLOR_UNKNOWN",
                 "COLOR_IC", "COLOR_NPC", "COLOR_OOC", 
                 "COLOR_MALE", "COLOR_FEMALE", "COLOR_NEUTER", "COLOR_THEY", 
                 "COLOR_LESSTHAN", "COLOR_EQUALISH", "COLOR_GREATERTHAN", 
                 "COLOR_HILITE_1", "COLOR_HILITE_2", "COLOR_HILITE_3",
                 "COLOR_RPUF", "COLOR_RPUF_TEXT", "COLOR_RPUF_TOOLTIP",
      },
      TAGS   = { 'ICON_1', 'ICON_2', 'ICON_3', 'ICON_4', 'ICON_5', 'ICON_6', 
                 'DETAILPANEL', 'INFOPANEL', 'NAMEPANEL', 'STATUSPANEL', 
                 'PORTRAIT_TOOLTIP', 'STATUS_TOOLTIP', 'NAME_TOOLTIP', 'INFO_TOOLTIP', 'DETAIL_TOOLTIP',
                 'ICON_1_TOOLTIP', 'ICON_2_TOOLTIP', 'ICON_3_TOOLTIP', 'ICON_4_TOOLTIP', 'ICON_5_TOOLTIP', 'ICON_6_TOOLTIP',
                 },
      FRAMES = { 'ICONWIDTH', 'INFOWIDTH', 'PORTWIDTH', 'STATUSHEIGHT', 'GAPSIZE', 'DETAILHEIGHT', "RPUFALPHA", }, 
      FORMATS = { 'LINEBREAKS', 'SIZEBUFF_FMT', 'PROFILESIZE_FMT', 'GLANCE_COLON', 'GLANCE_DELIM', 'UNITS_WEIGHT', 'UNITS_HEIGHT', },
      NOTES = { 'NOTE_1_STRING', 'NOTE_2_STRING', 'NOTE_3_STRING', },
      MESSAGES = { 'LOGIN_MESSAGE', 'CHANGES_MESSAGE', },
      PARSING = { "PARSE_HW", "PARSE_AGE", "PARSE_GENDER", "ADULT_GENDERS", },
      SCALE = { "PLAYERFRAME_SCALE", "TARGETFRAME_SCALE", "FOCUSFRAME_SCALE", "TARGETTARGETFRAME_SCALE", },
      },
  } -- config
  return "settings";
end);  -- startup function
