-- ------------------------------------------------------------------------------
-- RP Tags
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
--
-- The licensor cannot revoke these freedoms as long as you follow the
-- license terms.
--
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

  -- Tags

local RPTAGS      = RPTAGS;
table.insert(RPTAGS.startup, function(state) -- startup function

  local prepare          = RPTAGS.utils.tags.prepare;       local RP               = RPTAGS.const.TAG;                local loc              = RPTAGS.utils.locale.loc;
  -- --------------------------------------------------------------------------------
  local ageColor         = RPTAGS.get.color.age;            local eyeColor         = RPTAGS.get.color.eye;            local genderColor      = RPTAGS.get.color.gender;
  local guildStatusColor = RPTAGS.get.color.guildstatus;    local heightColor      = RPTAGS.get.color.height;         local nameColor        = RPTAGS.get.color.name;
  local relationColor    = RPTAGS.get.color.relation;       local statusColor      = RPTAGS.get.color.status;         local weightColor      = RPTAGS.get.color.weight;
  local genderIcon       = RPTAGS.get.icon.gender;          local glancesIcon      = RPTAGS.get.icon.glances;         local raceIcon         = RPTAGS.get.icon.race;
  local relationIcon     = RPTAGS.get.icon.relation;        local statusIcon       = RPTAGS.get.icon.status;          local unitIcon         = RPTAGS.get.icon.unit;
  local friendColor      = RPTAGS.get.shared.friendColor;   local partyColor       = RPTAGS.get.shared.partyColor;    local guildColor       = RPTAGS.get.shared.guildColor;
  local hiliteColor      = RPTAGS.get.shared.hiliteColor;   local npcText          = RPTAGS.get.shared.npc;           local pvpIcon          = RPTAGS.get.shared.pvpIcon;
  local serverText       = RPTAGS.get.shared.server;        local sizebuffText     = RPTAGS.get.shared.sizebuff;      local sizebuffIcon     = RPTAGS.get.shared.sizebuffIcon;
  local ageText          = RPTAGS.get.text.age;             local birthplaceText   = RPTAGS.get.text.birthplace;      local classText        = RPTAGS.get.text.class;
  local clientText       = RPTAGS.get.text.client;          local currText         = RPTAGS.get.text.curr;            local eyesText         = RPTAGS.get.text.eyes;
  local firstnameText    = RPTAGS.get.text.firstname;       local fulltitleText    = RPTAGS.get.text.fulltitle;       local genderText       = RPTAGS.get.text.gender;
  local glance           = RPTAGS.get.text.glance;          local guildText        = RPTAGS.get.text.guild;           local heightText       = RPTAGS.get.text.height;
  local homeText         = RPTAGS.get.text.home;            local icText           = RPTAGS.get.text.ic;              local infoText         = RPTAGS.get.text.info;
  local knownNameText    = RPTAGS.get.text.knownName;       local lastnameText     = RPTAGS.get.text.lastname;        local miscText         = RPTAGS.get.text.misc; 
  local nameText         = RPTAGS.get.text.name;            local scanNote         = RPTAGS.get.text.note;            local oocText          = RPTAGS.get.text.ooc;
  local profileSize      = RPTAGS.get.text.profileSize;     local pronounText      = RPTAGS.get.text.pronoun;         local pronounsText     = RPTAGS.get.text.pronouns;
  local raceText         = RPTAGS.get.text.race;            local relationText     = RPTAGS.get.text.relation;        local relWhoText       = RPTAGS.get.text.relwho;
  local statusText       = RPTAGS.get.text.status;          local styleText        = RPTAGS.get.text.style;           local titleText        = RPTAGS.get.text.title;
  local weightText       = RPTAGS.get.text.weight;          local xpText           = RPTAGS.get.text.xp;              local yearsText        = RPTAGS.get.text.years;
  local extStatus        = RPTAGS.get.text.extStatus;       local target           = RPTAGS.get.shared.target;
    -- tag definitions -------------------------------------------------------------------------
  -- prepare(RP.."client-icon",     function(u) return clientText(u, "icon");           end); commented out because i don't think enough of them have icons.
  --
  -- Not really intended for end user use
  prepare("err",                    function()  return loc("UNKNOWN_TAG_START")         end);
  prepare("/err",                   function()  return loc("UNKNOWN_TAG_END")           end);
  prepare(RP.."unit",               function(u) return u;                               end);
  prepare(RP.."unitid",             function(u) return RPTAGS.get.core.unitID(u)        end);
  -- 
  prepare("br",                     function()  return "\n";                            end);
  prepare("nocolor",                function()  return "|r";                            end);
  prepare("p",                      function()  return "\n\n";                          end);
  prepare(RP.."age",                function(u) return ageText(u);                      end);
  prepare(RP.."agecolor",           function(u) return ageColor(u);                     end);
  prepare(RP.."birthplace",         function(u) return birthplaceText(u);               end);
  prepare(RP.."body",               function(u) return weightText(u, true);             end);
  prepare(RP.."class",              function(u) return classText(u);                    end);
  prepare(RP.."client",             function(u) return clientText(u, "long");           end);
  prepare(RP.."client-full",        function(u) return clientText(u, "full");           end);
  prepare(RP.."client-short",       function(u) return clientText(u, "short");          end);
  prepare(RP.."client-version",     function(u) return clientText(u, "version");        end);
  prepare(RP.."color",              function(u) return nameColor(u);                    end);
  prepare(RP.."curr",               function(u) return currText(u);                     end);
  prepare(RP.."extended",           function(u) return clientText(u, "TRPE");           end);
  prepare(RP.."eyecolor",           function(u) return eyeColor(u);                     end);
  prepare(RP.."eyes",               function(u) return eyesText(u);                     end);
  prepare(RP.."firstname",          function(u) return firstnameText(u);                end);
  prepare(RP.."friendcolor",        function(u) return friendColor(u)                   end, "FRIENDLIST_UPDATE BN_FRIEND_INFO_CHANGED IGNORELIST_UPDATE" );
  prepare(RP.."fulltitle",          function(u) return fulltitleText(u);                end);
  prepare(RP.."gender",             function(u) return genderText(u);                   end);
  prepare(RP.."gendercolor",        function(u) return genderColor(u);                  end);
  prepare(RP.."glance",             function(u) return glance(u, 0,true,false,false);   end); -- number, title, text, icon, nowrap
  prepare(RP.."glance-1",           function(u) return glance(u, 1,true,false,false);   end);
  prepare(RP.."glance-1-full",      function(u) return glance(u, 1,true,true,true);     end);
  prepare(RP.."glance-1-icon",      function(u) return glance(u, 1,false,false,true);   end);
  prepare(RP.."glance-1-text",      function(u) return glance(u, 1,false,true,false);   end);
  prepare(RP.."glance-2",           function(u) return glance(u, 2,true,false,false);   end);
  prepare(RP.."glance-2-full",      function(u) return glance(u, 2,true,true,true);     end);
  prepare(RP.."glance-2-icon",      function(u) return glance(u, 2,false,false,true);   end);
  prepare(RP.."glance-2-text",      function(u) return glance(u, 2,false,true,false);   end);
  prepare(RP.."glance-3",           function(u) return glance(u, 3,true,false,false);   end);
  prepare(RP.."glance-3-full",      function(u) return glance(u, 3,true,true,true);     end);
  prepare(RP.."glance-3-icon",      function(u) return glance(u, 3,false,false,true);   end);
  prepare(RP.."glance-3-text",      function(u) return glance(u, 3,false,true,false);   end);
  prepare(RP.."glance-4",           function(u) return glance(u, 4,true,false,false);   end);
  prepare(RP.."glance-4-full",      function(u) return glance(u, 4,true,true,true);     end);
  prepare(RP.."glance-4-icon",      function(u) return glance(u, 4,false,false,true);   end);
  prepare(RP.."glance-4-text",      function(u) return glance(u, 4,false,true,false);   end);
  prepare(RP.."glance-5",           function(u) return glance(u, 5,true,false,false);   end);
  prepare(RP.."glance-5-full",      function(u) return glance(u, 5,true,true,true);     end);
  prepare(RP.."glance-5-icon",      function(u) return glance(u, 5,false,false,true);   end); 
  prepare(RP.."glance-5-text",      function(u) return glance(u, 5,false,true,false);   end);
  prepare(RP.."glance-all",         function(u) return glance(u, 0,true,false,true);    end);
  prepare(RP.."glance-full",        function(u) return glance(u, 0,true,true,true);     end); -- ##
  prepare(RP.."guildcolor",         function(u) return guildColor(u)                    end, "PLAYER_GUILD_UPDATE GUILD_ROSTER_UPDATE");
  prepare(RP.."guildstatuscolor",   function(u) return guildStatusColor(u)              end);
  prepare(RP.."height",             function(u) return heightText(u);                   end);
  prepare(RP.."heightcolor",        function(u) return heightColor(u);                  end);
  prepare(RP.."hilite-1",           function()  return hiliteColor(1);                  end);
  prepare(RP.."hilite-2",           function()  return hiliteColor(2);                  end);
  prepare(RP.."hilite-3",           function()  return hiliteColor(3);                  end);
  prepare(RP.."home",               function(u) return homeText(u);                     end);
  prepare(RP.."ic",                 function(u) return icText(u);                       end);
  prepare(RP.."info",               function(u) return infoText(u);                     end);
  prepare(RP.."lastname",           function(u) return lastnameText(u);                 end);
  prepare(RP.."mrp",                function(u) return clientText(u, "MRP");            end);
  prepare(RP.."name",               function(u) return nameText(u);                     end);
  prepare(RP.."name-known ",        function(u) return knownNameText(u);                end);
  prepare(RP.."note-1",             function(u) return scanNote(u, 1);                  end);
  prepare(RP.."note-1-icon",        function(u) return scanNote(u, false, 1, "ICON");   end);
  prepare(RP.."note-2",             function(u) return scanNote(u, 2);                  end);
  prepare(RP.."note-2-icon",        function(u) return scanNote(u, false, 2, "ICON");   end);
  prepare(RP.."note-3",             function(u) return scanNote(u, 3);                  end);
  prepare(RP.."note-3-icon",        function(u) return scanNote(u, false, 3, "ICON");   end);
  prepare(RP.."npc",                function(u) return npcText(u);                      end);
  prepare(RP.."ooc",                function(u) return oocText(u);                      end);
  prepare(RP.."partycolor",         function(u) return partyColor(u)                    end, "UNIT_OTHER_PARTY_CHANGED GROUP_JOINED GROUP_LEFT");
  prepare(RP.."profilesize",        function(u) return profileSize(u, "word");          end);
  prepare(RP.."profilesizecolor",   function(u) return profileSize(u, "color");         end);
  prepare(RP.."race",               function(u) return raceText(u);                     end);
  prepare(RP.."raceicon",           function(u) return raceIcon(u);                     end);
  prepare(RP.."relation",           function(u) return relationText(u);                 end);
  prepare(RP.."relation-who",       function(u) return relWhoText(u);                   end);
  prepare(RP.."relationcolor",      function(u) return relationColor(u)                 end);
  prepare(RP.."sizebuff",           function(u) return sizebuffText(u);                 end, "UNIT_AURA");
  prepare(RP.."sizebufficon",       function(u) return sizebuffIcon(u);                 end, "UNIT_AURA");
  prepare(RP.."status",             function(u) return statusText(u);                   end);
  prepare(RP.."statuscolor",        function(u) return statusColor(u);                  end);
  prepare(RP.."title",              function(u) return titleText(u);                    end);
  prepare(RP.."trp",                function(u) return clientText(u, "TRP");            end);
  prepare(RP.."weight",             function(u) return weightText(u);                   end);
  prepare(RP.."weightcolor",        function(u) return weightColor(u);                  end);
  prepare(RP.."xrp",                function(u) return clientText(u, "XRP");            end);
  prepare(RP.."years",              function(u) return yearsText(u);                    end);
  prepare(RP.."years-ago",          function(u) return yearsText(u, "ago");             end);
  prepare(RP.."years-old",          function(u) return yearsText(u, "old");             end);
  prepare(RP.."gendericon",         function(u) return genderIcon(u);                   end);
  prepare(RP.."glance-icons",       function(u) return glancesIcon(u);                  end);
  prepare(RP.."pvpicon",            function(u) return pvpIcon(u);                      end, "PVP_ROLE_UPDATE" );
  prepare(RP.."relationicon",       function(u) return relationIcon(u);                 end);
  prepare(RP.."statusicon",         function(u) return statusIcon(u);                   end);
  prepare(RP.."icon",               function(u) return unitIcon(u);                     end);
  prepare(RP.."alignment",          function(u) return miscText("alignment",   u);      end);
  prepare(RP.."birthday",           function(u) return miscText("birthday",    u);      end);
  prepare(RP.."faceclaim",          function(u) return miscText("faceclaim",   u);      end);
  prepare(RP.."bodyclaim",          function(u) return miscText("bodyclaim",   u);      end);
  prepare(RP.."actor",              function(u) return miscText("actor",       u);      end);
  prepare(RP.."family",             function(u) return miscText("family",      u);      end);
  prepare(RP.."hair",               function(u) return miscText("hair",        u);      end);
  prepare(RP.."house",              function(u) return miscText("house",       u);      end);
  prepare(RP.."markings",           function(u) return miscText("markings",    u);      end);
  prepare(RP.."motto",              function(u) return miscText("motto",       u);      end);
  prepare(RP.."nick",               function(u) return miscText("nickname",    u);      end);
  prepare(RP.."nick-quoted",        function(u) return miscText("nick-quoted", u);      end);
  prepare(RP.."physiognomy",        function(u) return miscText("physiognomy", u);      end);
  prepare(RP.."piercings",          function(u) return miscText("piercings",   u);      end);
  prepare(RP.."pronouns",           function(u) return miscText("pronouns",    u);      end);
  prepare(RP.."religion",           function(u) return miscText("religion",    u);      end);
  prepare(RP.."rstatus",            function(u) return miscText("rstatus",     u);      end);
  prepare(RP.."sexuality",          function(u) return miscText("sexual",      u);      end);
  prepare(RP.."tattoos",            function(u) return miscText("tattoos",     u);      end);
  prepare(RP.."tribe",              function(u) return miscText("tribe",       u);      end);
  prepare(RP.."voiceclaim",         function(u) return miscText("voiceclaim",  u);      end);
  prepare(RP.."pronouns",           function(u) return pronounsText(u)                  end);
  prepare(RP.."style-battle",       function(u) return styleText(u, "battle")           end);
  prepare(RP.."style-battle-long",  function(u) return styleText(u, "battle",  "LONG")  end);
  prepare(RP.."style-battle-icon",  function(u) return styleText(u, "battle",  "ICON")  end);
  prepare(RP.."style-death",        function(u) return styleText(u, "death")            end);
  prepare(RP.."style-death-long",   function(u) return styleText(u, "death",   "LONG")  end);
  prepare(RP.."style-death-icon",   function(u) return styleText(u, "death",   "ICON")  end);
  prepare(RP.."style-guild",        function(u) return styleText(u, "guild")            end);
  prepare(RP.."style-guild-long",   function(u) return styleText(u, "guild",   "LONG")  end);
  prepare(RP.."style-guild-icon",   function(u) return styleText(u, "guild",   "ICON")  end);
  prepare(RP.."style-ic",           function(u) return styleText(u, "ic")               end);
  prepare(RP.."style-ic-long",      function(u) return styleText(u, "ic",      "LONG")  end);
  prepare(RP.."style-ic-icon",      function(u) return styleText(u, "ic",      "ICON")  end);
  prepare(RP.."style-injury",       function(u) return styleText(u, "injury")           end);
  prepare(RP.."style-injury-long",  function(u) return styleText(u, "injury",  "LONG")  end);
  prepare(RP.."style-injury-icon",  function(u) return styleText(u, "injury",  "ICON")  end);
  prepare(RP.."style-romance",      function(u) return styleText(u, "romance")          end);
  prepare(RP.."style-romance-long", function(u) return styleText(u, "romance", "LONG")  end);
  prepare(RP.."style-romance-icon", function(u) return styleText(u, "romance", "ICON")  end);
  prepare(RP.."style-yes",          function(u) return styleText(u, "yes")              end);
  prepare(RP.."style-no",           function(u) return styleText(u, "no")               end);
  prepare(RP.."style-ask",          function(u) return styleText(u, "ask")              end);
  prepare(RP.."style-icons",        function(u) return styleText(u, "icons")            end);
  prepare(RP.."experience",         function(u) return xpText(u, "long");               end);
  prepare(RP.."xp",                 function(u) return xpText(u, "short");              end);
  prepare(RP.."rookie",             function(u) return xpText(u, "rookie");             end);
  prepare(RP.."volunteer",          function(u) return xpText(u, "volunteer");          end);
  prepare(RP.."xp-icon",            function(u) return xpText(u, "icon");               end);
  prepare(RP.."rookie-icon",        function(u) return xpText(u, "rookie-icon");        end);
  prepare(RP.."volunteer-icon",     function(u) return xpText(u, "volunteer-icon");     end);
  prepare(RP.."server-abbr",        function(u) return serverText(u, "abbr"      )      end); -- MG
  prepare(RP.."server-dash",        function(u) return serverText(u, "dash"      )      end); -- "-"
  prepare(RP.."server-lang",        function(u) return serverText(u, "lang"      )      end); -- English
  prepare(RP.."server-lang-short",  function(u) return serverText(u, "lang-short")      end); -- enUS
  prepare(RP.."server-mine",        function(u) return serverText(u, "mine"      )      end); -- name only if yours
  prepare(RP.."server",             function(u) return serverText(u, "name"      )      end); -- Moon Guard
  prepare(RP.."server-notmine",     function(u) return serverText(u, "notmine"   )      end); -- name only if not yours
  prepare(RP.."server-region",      function(u) return serverText(u, "region"    )      end); -- United States
  prepare(RP.."server-star",        function(u) return serverText(u, "star"      )      end); -- (*) if not my server
  prepare(RP.."server-subregion",   function(u) return serverText(u, "subregion" )      end); -- Oceania
  prepare(RP.."server-type",        function(u) return serverText(u, "type"      )      end); -- Roleplaying
  prepare(RP.."server-type-short",  function(u) return serverText(u, "type-short")      end); -- RPf
  prepare(RP.."guild",              function(u) return guildText(u, "name")             end, "GUILD_ROSTER_UPDATE"); -- if guild membership is IC then guild
  prepare(RP.."guild-rank",         function(u) return guildText(u, "rank")             end, "GUILD_ROSTER_UPDATE"); -- if guild membership is IC then rank
  prepare(RP.."guild-status",       function(u) return guildText(u, "status")           end, "GUILD_ROSTER_UPDATE"); -- [IC] or [OOC]
  prepare(RP.."open",               function(u) return extStatus(u, "open")             end);
  prepare(RP.."storyteller",        function(u) return extStatus(u, "storyteller")      end);
  prepare(RP.."target",             function(u) return target(u, "name")                end, "UNIT_TARGET");
  prepare(RP.."target-details",     function(u) return target(u, "details")             end, "UNIT_TARGET");
  prepare(RP.."target-class",       function(u) return target(u, "class")               end, "UNIT_TARGET");
  prepare(RP.."target-color",       function(u) return target(u, "color")               end, "UNIT_TARGET");
  prepare(RP.."target-icon",        function(u) return target(u, "icon")                end, "UNIT_TARGET");
  prepare(RP.."target-gender",      function(u) return target(u, "gender")              end, "UNIT_TARGET");
  prepare(RP.."target-gendercolor", function(u) return target(u, "gendercolor")         end, "UNIT_TARGET");
  prepare(RP.."target-gendericon",  function(u) return target(u, "gendericon")          end, "UNIT_TARGET");
  prepare(RP.."target-race",        function(u) return target(u, "race")                end, "UNIT_TARGET");
  prepare(RP.."target-status",      function(u) return target(u, "status")              end, "UNIT_TARGET");
  prepare(RP.."target-statuscolor", function(u) return target(u, "statuscolor")         end, "UNIT_TARGET");
  prepare(RP.."target-statusicon",  function(u) return target(u, "statusicon")          end, "UNIT_TARGET");
  prepare(RP.."target-title",       function(u) return target(u, "title")               end, "UNIT_TARGET");
  --  pronouns
  for p in string.gmatch(RPTAGS.utils.locale.loc("PRONOUN_TAGS"), "%a")
  do  prepare(RP..p,                function(u) return pronounText(u, p)               end);
      prepare(RP..string.upper(p),  function(u) return pronounText(u, string.upper(p)) end);
  end; -- for p

  RPTAGS.utils.tags.register(); -- registers all tags
  return "all-tags";
end); -- startup function
