-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.

--Notices:

--You do not have to comply with the license for elements of the material
--in the public domain or where your use is permitted by an applicable
--exception or limitation.

--No warranties are given. The license may not give you all of the
--permissions necessary for your intended use. For example, other rights
--such as publicity, privacy, or moral rights may limit how you use the material.
-- ------------------------------------------------------------------------------
-- localization done on 

local RPTAGS = RPTAGS;

table.insert(RPTAGS.startup, function(state) -- startup function
  local Const  = RPTAGS.const;
  local T_     = Const.icons.T_;
  local _t     = Const.icons._t;
  local Icon   = Const.icons;
  
  local Locale = RPTAGS.locale;
  local lang = "enUS";
  
  local RP               = "rp:";
  local NOCOLOR          = "|r";
  local TAGS             = "tags";
  local UNITFRAMES       = "UnitFrames";
  local UF               = "UF";
  local SP               = " "; -- space

  local APP_COLOR        = Const.APP_COLOR     ;
  local RPUF_COLOR       = Const.APP_RPUF_COLOR;

  local COLOR_RP         = APP_COLOR  .. RP         .. NOCOLOR;
  local COLOR_UNITFRAMES = RPUF_COLOR .. UNITFRAMES .. NOCOLOR;
  local COLOR_UF         = RPUF_COLOR .. UF         .. NOCOLOR;

  local APP_NAME         = COLOR_RP .. TAGS             ;
  local RPUF_NAME        = COLOR_RP .. COLOR_UNITFRAMES ;
  local RPUF_ABBR        = COLOR_RP .. COLOR_UF         ;

  local RAINBOW_COLORS   = "|cffff0000C|cffff9900o|cffffff00l|cff00ff00o|cff00ffffr|cffff00ffs|r";

    -- US English localization ------------------------------------------------------------------------------
  Locale[lang] = {
    -- newly added ------ - -----testing ------
    CONFIG_H1_NOTES       = "Notes Keywords",
    CONFIG_NOTE_1_STRING = "First Note Keyword",
    CONFIG_NOTE_2_STRING = "Second Note Keyword",
    CONFIG_NOTE_3_STRING = "Third Note Keyword",
    CONFIG_NOTE_1_STRING_TT = "If you have set a note on the unit and a line in the note contains this word, then [rp:note-1] will display that line. Keywords must be at least 3 characters long and can contain Lua patterns.",
    CONFIG_NOTE_2_STRING_TT = "If you have set a note on the unit and a line in the note contains this word, then [rp:note-2] will display that line. Keywords must be at least 3 characters long and can contain Lua patterns.",
    CONFIG_NOTE_3_STRING_TT = "If you have set a note on the unit and a line in the note contains this word, then [rp:note-3] will display that line. Keywords must be at least 3 characters long and can contain Lua patterns.",
    FMT_A                 = "a %s",
    RELATION_STRANGER     = "a stranger",
    RELATION_UNFRIENDLY   = "enemy",
    RELATION_NEUTRAL      = "acquaintance",
    RELATION_BUSINESS     = "business contact",
    RELATION_FRIENDLY     = "friend",
    RELATION_LOVE         = "loved one",
    RELATION_FAMILY       = "family member",
    WORD_MY               = "my",
    WORD_YOUR             = "your",
    -- ------------------ - related to the app itself
    APP_DESC              = "Extends ElvUI's unitframes to use TRP3 fields in tags",
    APP_COLOR_RP          = COLOR_RP,
    APP_NAME              = APP_NAME,
    RPUF_NAME             = RPUF_NAME,
    -- ------------------ - startup errors
    -- NO_MSP_CLIENT         = APP_NAME .. "|cffff0000 Startup Error:|r\n\n" ..  APP_NAME .. " requires that you have a roleplaying addon installed; the only supported addon currently is Total RP 3.\n\nSince you don't have that installed, " .. APP_NAME .. " has been disabled.", 
    NO_MSP_CLIENT         = APP_NAME .. "|cffff0000 Startup Error:|r\n\n" ..  APP_NAME .. " requires that you have a roleplaying addon installed; supported addons are MyRolePlay and Total RP 3.\n\nSince you don't have one of those installed, " .. APP_NAME .. " has been disabled.", 
    TOO_MANY_MSP          = APP_NAME .. "|cffff0000 Startup Error:|r\n\n" .. "Since you have more than one roleplaying addon installed, " .. APP_NAME .. " has been disabled. Please disable one of those addons and reload your user interface. \n\nThe roleplaying addons found by " .. APP_NAME .. " were: ", 
    ERROR_ACKNOWLEDGED    = "Understood",
    ADDON_MRP             = "MyRolePlay",
    ADDON_TRP3            = "Total RP 3",
    ADDON_XRP             = "XRP Roleplay Profiles",
    ADDON_ELVUI           = "ElvUI",
    ADDON_RPUF            = "rp:UF",
    -- ------------------ -
    CONFIG_PLAYERFRAME_SCALE           = "Player Frame Scale",
    CONFIG_PLAYERFRAME_SCALE_TT        = "Adjust the relative scale of the RPUF player frame so it takes up more or less space on your screen.",
    CONFIG_TARGETFRAME_SCALE           = "Target Frame Scale",
    CONFIG_TARGETFRAME_SCALE_TT        = "Adjust the relative scale of the RPUF target frame so it takes up more or less space on your screen.",
    CONFIG_FOCUSFRAME_SCALE            = "Focus Frame Scale",
    CONFIG_FOCUSFRAME_SCALE_TT         = "Adjust the relative scale of the RPUF focus frame so it takes up more or less space on your screen.",
    CONFIG_TARGETTARGETFRAME_SCALE     = "TargetTarget Frame Scale",
    CONFIG_TARGETTARGETFRAME_SCALE_TT  = "Adjust the relative scale of the RPUF target-of-target frame so it takes up more or less space on your screen.",
    -- CONFIG_PARTYFRAME_SCALE         = "Party Frame Scale",
    -- CONFIG_PARTYFRAME_SCALE_TT      = "Adjust the relative scale of the RPUF party frames so they take up more or less space on your screen.",
    -- CONFIG_RAIDFRAME_SCALE          = "Raid Frame Scale",
    -- CONFIG_RAIDFRAME_SCALE_TT       = "Adjust the relative scale of the RPUF raid frames so they take up more or less space on your screen.",
    -- ------------------ - 
    RACE_BEAR   = "Bear,Ursin,Furbolg",
    RACE_GNOLL  = "Gnoll",
    RACE_HORSE  = "Horse,Centaur",
    RACE_1      = "Human,Stormwind,Arath,Lordae",                                           
    RACE_2      = "Orc,Orgrim,Frostwolf,Warsong,Blackrock,Dragonmaw",  
    RACE_3      = "Dwarf,Ironforg,Wildham,Frostborn",
    RACE_4      = "Night Elf,Kal'dorei,Teldras", 
    RACE_5      = "Scourge,Forsaken,Undead",
    RACE_6      = "Tauren,Shu'halo,Thunder Bluff,Mulgor,Yaung,Taunk",
    RACE_7      = "Gnom",
    RACE_8      = "Troll,Darkspear,Gurub",
    RACE_9      = "Goblin,Kezan",
    RACE_10     = "Blood Elf,Sin'dorei,Silverm,High Elf,Quel'dorei,Highborn",
    RACE_11     = "Draenei,Ereda",
    RACE_24     = "Pandaren,Wandering,Mainland",  -- out of order, but a "core" (i.e. no fallback) race
    RACE_12     = "Fel Orc",
    RACE_13     = "Naga",
    RACE_14     = "Broken,Krokul",
    RACE_17     = "Tuskarr",
    RACE_18     = "Forest Troll,Amani",
    RACE_19     = "Taunka",
    RACE_20     = "Skelet",
    RACE_21     = "Ice Troll,Drakk",
    RACE_22     = "Worgen,Afflicted",
    RACE_23     = "Gilnea,Unafflicted",
    RACE_25     = "Pandaren,Tushui",
    RACE_26     = "Pandaren,Huojin",
    RACE_27     = "Nightborn,Shal'dorei",
    RACE_28     = "Highmountain",
    RACE_29     = "Void Elf,Ren'dorei",
    RACE_30     = "Lightforged,Argu",
    RACE_31     = "Zandala,Zulda",
    RACE_32     = "Kul Tira,Boralus",
    RACE_33     = "Thin Human,Thin Kul Tiran",
    RACE_34     = "Dark Iron,Shadowforg",
    RACE_35     = "Vulpera",
    RACE_36     = "Mag'har",
    RACE_15     = "Skeleton",
    RACE_16     = "Vrykul",
    RACE_37     = "Mechagn",

    -- ------------------ - 
    APP_SLASH             = "/rptags",
    APP_SLASH_SHORT       = "/rptag",
    APP_SLASH_SHORTER     = "/rpt",
    APP_ID                = Const.APP_ID,
    APP_VERSION           = Const.VERSION,
    APP_VERSION_MODE      = Const.VERSION_MODE,
    APP_CREATOR           = Const.ORAIBI,
    APP_CHANGES           = "Added styling of RPUF style bar; more granular control over hiding RPUF. Previously: [[MyRolePlay]] bug fixes, removal of [[[TargetTarget]]], addition of [rp:target].",
    -- 0.940 beta 8 APP_CHANGES              = "Bug fixes for [[MyRolePlay]] support, removal of [[[TargetTarget]]] frame, addition of [rp:target] tags.",
    -- APP_CHANGES           = "New options, improved support for [[MyRoleplay]], bug fixes, keybinds, frame scaling.",
    -- APP_CHANGES           = "First beta version with new options panels. Limited (|cff999999very limited|r) support for [[MyRolePlay]]. Bug fixes, minor UI changes.",
    -- 0.940 alpha 6 APP_CHANGES           = "Configuration of panel sizes works now. Fixed a bug preventing addon from starting with ElvUI. (Thanks, [[Ripperley!]]) Added new [rp:raceicon] tag. Still working on fixing tag updates. Reorganized content menu.",
    -- APP_CHANGES           = "First version of RPTAGS that works with [[[MyRolePlay]]]. |cffdd0000Unfortunately|r, updates don't seem to be working correctly. I'll have to look into that. Also, [[configuration of panel sizes]] is not currently functional.",
    -- 0.935 APP_CHANGES           = "Fixed a bug preventing frame locations from being saved. [[[Previously:]]] Better unknown tag handling, hide in combat, bug fixes.",
    -- 0.934 APP_CHANGES           = "RPUF handles unknown tags better, misc bug fixes, removed broken line wrapping code. [[[Previously:]]] Added option to hide RPUF in combat; added [rp:guildstatuscolor], [rp:actor], [rp:bodyclaim], [rp:nick-quoted].",
    -- APP_CHANGES           = "Added option to hide RPUF in combat; fixed bug with [rp:guild] parsing; added [rp:guildstatuscolor], [rp:actor], [rp:bodyclaim].\n[[[Previously:]]] Changed moving RPUF frames, added RPUF formatting options, tooltips, context menus; added [rp:nick-quoted].",
    -- 0.932 APP_CHANGES           = "Changed the way you move RPUF frames around. [[[Previously:]]] Added formatting options for RPUF; added tooltips and context menus for RPUF; added [rp:nick-quoted] tag; bug fixes.",
    -- 0.931 APP_CHANGES           = "Added formatting options for RPUF; added tooltips and context menus for RPUF; added [rp:nick-quoted] tag; bug fixes. [[[Previously:]]] New " .. Const.APP_RPUF_COLOR .. "Parallel Mode|r to run RPUF windows alongside ElvUI.",
    -- APP_CHANGES           = "Added border option to RPUF frames. [[[Previously:]]] New " .. Const.APP_RPUF_COLOR .. "Parallel Mode|r to run RPUF windows alongside ElvUI.",
    -- APP_CHANGES           = "New " .. Const.APP_RPUF_COLOR .. "Parallel Mode|r to run RPUF windows alongside ElvUI. [[[Previously:]]] Tag editor for standalone mode; new tags rp:server], [rp:style], [rp:xp], [rp:client], [rp:guild], [rp:guildcolor], [rp:friendcolor], [rp:partycolor].",
    CHANGES               = "Changes",
  
    -- sizes of things    -
    SIZE_EXTRA_LARGE      = "Extra Large",
    SIZE_LARGE            = "Large",
    SIZE_MEDIUM           = "Medium",
    SIZE_SMALL            = "Small",
    SIZE_EXTRA_SMALL      = "Extra Small",
    SIZE_XL               = "XL",
    SIZE_L                = "L",
    SIZE_M                = "M",
    SIZE_S                = "S",
    SIZE_XS               = "XS",
    SIZE_UNKNOWN          = "Unknown",
    SIZE_U                = "U",
    -- backdrops
    CONFIG_RPUF_BACKDROP  = "Frame Border",
    CONFIG_RPUF_BACKDROP_TT = "Choose whether the RPUF frame has a border or not.",
    BACKDROP_ORIGINAL     = "No Border",
    BACKDROP_BLIZZTOOLTIP = "Border",
    -- autohide
    CONFIG_RPUF_HIDE_COMBAT      = "Hide in Combat",
    CONFIG_RPUF_HIDE_COMBAT_TT   = "Check this to hide RPUF when you are in combat.",
    CONFIG_RPUF_HIDE_DEAD      = "Hide when Dead",
    CONFIG_RPUF_HIDE_DEAD_TT   = "Check this to hide RPUF when you are dead.",
    CONFIG_RPUF_HIDE_PETBATTLE      = "Hide in Pet Battle",
    CONFIG_RPUF_HIDE_PETBATTLE_TT   = "Check this to hide RPUF when you are in a pet battle.",
    CONFIG_RPUF_HIDE_VEHICLE        = "Hide in Vehicle",
    CONFIG_RPUF_HIDE_VEHICLE_TT   = "Check this to hide RPUF when you are in a vehicle.",
    CONFIG_RPUF_HIDE_PARTY          = "Hide in Party",
    CONFIG_RPUF_HIDE_PARTY_TT   = "Check this to hide RPUF when you are in a party.",
    CONFIG_RPUF_HIDE_RAID = "Hide in Raid",
    CONFIG_RPUF_HIDE_RAID_TT = "Check this to hide RPUF when you are in a raid.",
    RPUF_HIDE_IN_COMBAT   = RPUF_NAME .. " are now hidden during combat.",
    RPUF_SHOW_IN_COMBAT   = RPUF_NAME .. " will be shown during combat.",
    -- portraits
    -- CONFIG_PORTRAIT_TYPE    = "Portrait Style",
    -- CONFIG_PORTRAIT_TYPE_TT = "Choose the type of portrait on unit frame layouts that display portraits.",

    -- PORTRAIT_TYPE_BOW       = "Formal",
    -- PORTRAIT_TYPE_CHEER     = "Cheer",
    -- PORTRAIT_TYPE_DANCE     = "Dance",
    -- PORTRAIT_TYPE_EXCITED   = "Excited",
    -- PORTRAIT_TYPE_FACE      = "Idle, Close Up",
    -- PORTRAIT_TYPE_FACE      = "Face",
    -- PORTRAIT_TYPE_FLEX      = "Strong",
    -- PORTRAIT_TYPE_FLIRT     = "Flirty",
    -- PORTRAIT_TYPE_FULLBODY  = "Idle",
    -- PORTRAIT_TYPE_FULLBODY  = "Full Body",
    -- PORTRAIT_TYPE_KISS      = "Affectionate",
    -- PORTRAIT_TYPE_LAUGH     = "Amused",
    -- PORTRAIT_TYPE_READY     = "Ready",
    -- PORTRAIT_TYPE_SALUTE    = "Salute",
    -- PORTRAIT_TYPE_SHOUT     = "Loud",
    -- PORTRAIT_TYPE_SHRUG     = "Uncertain",
    -- PORTRAIT_TYPE_SIT       = "Sit",
    -- PORTRAIT_TYPE_TALK      = "Talkative",
    -- PORTRAIT_TYPE_WAVE      = "Wave",
    -- ------------------ - 
    FMT_SZ_WRD_BRC_NUM    = "%s [%d]",
    FMT_SZ_WRD_PAR_NUM    = "%s (%d)",
    FMT_SZ_BRC_WRD_NUM    = "[%s: %d]",
    FMT_SZ_PAR_WRD        = "(%s)",
    FMT_SZ_WRD            = "%s",
    FMT_SZ_BRC_LTR_NUM    = "[%s:%d]",
    FMT_SZ_BRC_LTR        = "[%s]",
    FMT_SZ_LTR            = "%s",
    FMT_SZ_BRC_NUM        = "[%d]",
    FMT_SZ_NUM            = "%d",
    -- ------------------ - trunc_or_wrap
    OPT_LINE_TRUNCATE     = "Truncate line",
    OPT_LINE_WORD_TRUNC   = "Truncate at word breaks", 
    OPT_LINE_WRAP_ONCE    = "Wrap once (2 lines)",
    OPT_LINE_WRAP_TWICE   = "Wrap twice (3 lines)",
    OPT_LINE_WRAP_FOREVER = "Wrap and show all text",
    -- ------------------ - misc
    ABOUT                 = "about",
    YEARS_AGO             = "ago",
    YEARS_OLD             = "years old",
    -- ------------------ - misc
    SETTINGS              = "settings",
    LETTERS               = " characters",
    GET_LINK              = "Get Link",
    GET_LINK_INSTRUCT     = "You can copy this link by using the %s keyboard shortcut and then paste the link into your browser using the %s shortcut.",
    COPY_UI               = "Copy User Interface",
    COPY_UI_INSTRUCT      = "You can copy this UI by the using %s keyboard shortcut. Then open [[Profiles]] in ElvUI configuration, choose [[[Import Profile]]], and paste the UI using the %s shortcut.",
    COPY_MANUAL           = "Copy User Manual",
    COPY_MANUAL_INSTRUCT  = "You can copy the manual by using the %s keyboard shortcut. Then open [[trp3 Extended Objects Database]], then choose [[[Quick Object Import]]] and paste the manual using the %s shortcut.",
    COPY_RECIPE           = "Copy Recipe",
    COPY_RECIPE_INSTRUCT  = "You can copy this recipe by using the %s keyboard shortcut and then paste the recipe into your ElvUI field using the %s shortcut.",
    -- ------------------ - recipes
    RECIPE_DEFAULT_TT     = "Click this to copy the recipe.",
    -- ------------------ - configuration headlines
    QUICK_SETTINGS        = "Quick Settings",
    USE_TAG_EDITOR        = "Tag Editor",
    CONFIG_H1_DISPLAY     = "Add-On Behavior",
    CONFIG_H1_PARSE       = "Parsing Tag Values",
    CONFIG_H1_FORMATS     = "Tag Formats",
    CONFIG_H1_SIZES       = "Field Sizes",
    CONFIG_H1_LINKS       = "Helpful Links",
    CONFIG_H1_WRAP        = "Field Size Overflow",
    CONFIG_H1_DEMO        = "User Interface Demo",
    CONFIG_H1_LAYOUT      = "Unit Frames Layout",
    CONFIG_H1_ICONS       = "Unit Frame Icon Slots",
    CONFIG_H1_PANELS      = "Unit Frame Panels",
    CONFIG_REFERENCE_TOPIC = "Choose a Topic",
    CONFIG_REFERENCE_TOPIC_TT = "Choose a topic. Topics in |cffdddd00gold|r are general information, while those in |cffffffffwhite|r are specific tag families.",
    -- CONFIG_H1_TOOLTIPS    = "Unit Frame Tooltips",
    CONFIG_H1_RESET       = "Reset " .. RPUF_NAME,
    CONFIG_H1_REF         = "Tags Reference",
    CONFIG_H1_RPUF_APPEAR = "Frame Appearance",
    CONFIG_H1_COLORS_STATUS = "Status Colors",
    CONFIG_H1_COLORS_GENDER = "Gender Colors",
    CONFIG_H1_COLORS_COMPARISON = "Comparison Colors",
    CONFIG_H1_COLORS_HILITE = "Hilite Colors",
    WARNING_RPUF_DISABLED   = "|cffdd0000Note:|r These options are disabled because you have turned off rp:UnitFrames. To re-enable, go to the RPUF options panel.",

    CONFIG_MENU_REFERENCE   = APP_NAME,
    CONFIG_PAGE_REFERENCE   = APP_NAME .." Reference"       ,
    CONFIG_DESC_REFERENCE   = "Configure RPTAGS with the options on the left, or choose a topic for help. You can use the |cffdd0000Defaults|r button to " ..
                              "reset the options on each screen.\n\n In the reference below, clickable hyperlinks are shown |cff00dd00in green|r.",

    CONFIG_MENU_GENERAL     = APP_NAME .." Settings",
    CONFIG_PAGE_GENERAL     = APP_NAME .." General Settings",
    CONFIG_DESC_GENERAL     = "These options control the basic functionality of RPTAGS.",

    CONFIG_MENU_FORMATS     = COLOR_RP        .."Formats"         ,
    CONFIG_PAGE_FORMATS     =   APP_NAME .." Formats"         ,
    CONFIG_DESC_FORMATS     = "These options control how RPTAGS displays certain tags.",
    
    CONFIG_MENU_COLORS      = COLOR_RP        ..RAINBOW_COLORS    ,
    CONFIG_PAGE_COLORS      =   APP_NAME .." "..RAINBOW_COLORS    ,
    CONFIG_DESC_COLORS      = "You can customize the colors used in RPTAGS.",

    CONFIG_MENU_RPUF_MAIN   = RPUF_NAME,
    CONFIG_PAGE_RPUF_MAIN   = RPUF_NAME .. " General Settings",
    CONFIG_DESC_RPUF_MAIN   = "These options control the basic functionality of rp:UnitFrames.",

    CONFIG_MENU_RPUF_LAYOUT =  RPUF_ABBR .. " Layout"        ,
    CONFIG_PAGE_RPUF_LAYOUT =  RPUF_NAME .. " Layout"        ,
    CONFIG_DESC_RPUF_LAYOUT = "Use these options to set the dimensions of the various panels in rp:UnitFrames Some layouts may not display all panels. For example, the details panel is only shown in frames set to the Detailed layout.",

    CONFIG_MENU_RPUF_PANELS =  RPUF_ABBR ..SP .."Panels"          ,
    CONFIG_PAGE_RPUF_PANELS =  RPUF_NAME ..SP .."Panels"          ,
    CONFIG_DESC_RPUF_PANELS = "You can change the tags displayed in rp:UnitFrames panels, as well as the tooltips shown when you move your mouse over that panel.",

    URL_ELVUI = "https://www.tukui.org/welcome.php",   -- these are localized because it's possible there might be non-English alternate sites
    URL_TWITTER = "http://twitter.com/oraibimoonguard",
    URL_DOWNLOAD_CURSE = "https://www.curseforge.com/wow/addons/rp-tags",
    URL_DOWNLOAD_TUKUI = "https://www.tukui.org/addons.php?id=98",
    URL_TRP3 = "https://www.curseforge.com/wow/addons/total-rp-3",
    URL_XRP = "https://www.curseforge.com/wow/addons/xrp",
    URL_MRP = "https://www.curseforge.com/wow/addons/my-role-play",
    URL_DISCORD   = "https://discord.gg/zGPP9x9",

    HYPERLINK_TAG = "Click to the view help for the %s tag.",
    HYPERLINK_HELP = "Click to view help about %s.",
    HYPERLINK_CONFIG = "Click to go to the %s screen.",
    HYPERLINK_HTTP = "Click to get the link for the %s web site.",
    HYPERLINK_RECIPE = "Click to get the recipe for %s.",

    CLOSE_DIALOG = "Close",

    -- --------------------- - login message
    CONFIG_LOGIN_MESSAGE_TT  = "Check to show a message from RPTAGS on login",
    CONFIG_LOGIN_MESSAGE     = "Login message", 
    CONFIG_CHANGES_MESSAGE   = "Changes message",
    CONFIG_CHANGES_MESSAGE_TT = "Check to have the login message list what's new in the current version of RPTAGS.",
    -- ------------------ - tag display
    CONFIG_LINEBREAKS     = "Allow linebreaks",
    CONFIG_LINEBREAKS_TT  = "Check to allow line breaks in other peoples' fields, such as currently or glances. This might throw off your UI layouts if enabled.",
    -- -------------------- --
    CONFIG_TWEAK_ELVUI_LIMITS = "Increase the maximum size limits on unitframes.",
    CONFIG_TWEAK_ELVUI_LIMITS_TT = "Check to allow ElvUI player and target frames to become quite large",
    CONFIG_ENABLE         = "Enable",
    CONFIG_TRP3           = "To configure [rp:tags] processing, see TRP3's configuration screens.",
    -- ------------------ - formats
    CONFIG_UNITS_HEIGHT     = "Height",
    CONFIG_UNITS_HEIGHT_TT  = "Select how to display [rp:height] when there is only a number given, or when the value is parsed. Mary Sue Protocol defines a number alone as centimeters; this is how you want those centimeters to be displayed.",
    CONFIG_UNITS_WEIGHT     = "Weight",
    CONFIG_UNITS_WEIGHT_TT  = "Select how to display [rp:weight] when there is only a number given, or when the value is parssed. Mary Sue Protocol defines a number alone as kilograms; this is how you want those kilograms to be displayed.",
    CONFIG_SIZEBUFF_FMT     = "Size buffs",
    CONFIG_SIZEBUFF_FMT_TT  = "Select how you wish to display [rp:sizebuff]. Size buffs make character larger or smaller for at least several minutes.",
    CONFIG_PROFILESIZE_FMT_TT = "Select how you want to display the size of someone else's profile with [rp:profilesize]. Numbers represent TRP3 block sizes.",
    CONFIG_PROFILESIZE_FMT    = "Profile sizes",
    -- ------------------
    CONFIG_GLANCE_COLON         = "Glance value separator",
    CONFIG_GLANCE_COLON_TT      = "Select the delimiter between the title of a [rp:glance] tag, and the text of that field.",
    CONFIG_GLANCE_COLON_COLON   = "Young|cff00bbbb:|r For her race",
    CONFIG_GLANCE_COLON_COMMAS  = "Young|cff00bbbb,|r For her race",
    CONFIG_GLANCE_COLON_DASHES  = "Young |cff00bbbb-|r For her race",
    CONFIG_GLANCE_COLON_SLASHES = "Young |cff00bbbb/|r For her race",
    CONFIG_GLANCE_COLON_SPACES  = "Young |cff00bbbb(space)|r For her race",
    -- ------------------
    CONFIG_GLANCE_DELIM            = "Glance delimiter",
    CONFIG_GLANCE_DELIM_TT         = "Select the delimiter between multiple [rp:glance] fields.",
    CONFIG_GLANCE_DELIM_COMMAS     = "Young|cff00bbbb,|r Well-Dressed",
    CONFIG_GLANCE_DELIM_SPACES     = "Young |cff00bbbb(space)|rWell-Dressed",
    CONFIG_GLANCE_DELIM_SEMICOLONS = "Young|cff00bbbb;|r Well-Dressed",
    CONFIG_GLANCE_DELIM_NEWLINES   = "Young|cff00bbbb(newline)|rWell-Dressed",
    CONFIG_GLANCE_DELIM_SLASHES    = "Young |cff00bbbb//|r Well-Dressed",
    -- ------------------------ - color
    CONFIG_DISABLE_RPUF             = "Disable RPUF",
    CONFIG_DISABLE_RPUF_TT          = "You can disable RPUF without disabling all of RPTAGS. One reason you might want to do this would be if you are running [[Elvui]] and don't need to use RPUF to display RPTAGS.",
    CONFIG_COLOR_RPUF           = "Background Color",
    CONFIG_COLOR_RPUF_TT        = "Choose a background color for RPUF.",
    CONFIG_COLOR_RPUF_TEXT      = "Text Color",
    CONFIG_COLOR_RPUF_TEXT_TT   = "Choose the default font color for RPUF.",
    CONFIG_COLOR_RPUF_TOOLTIP   = "Tooltip Text Color",
    CONFIG_COLOR_RPUF_TOOLTIP_TT = "Choose the default font color for RPUF tooltips.",

    CONFIG_COLOR_UNKNOWN        = "Default/Unknown",
    CONFIG_COLOR_UNKNOWN_TT     = "This color is displayed when you use a color tag and the result isn't recognized by RPTAGS. This value applies to [rp:gendercolor], [rp:statuscolor], [rp:agecolor], and similar tags.",
    CONFIG_COLOR_MALE           = "Male",
    CONFIG_COLOR_MALE_TT        = "The color for a male character, when you use the [rp:gendercolor] tag.",
    CONFIG_COLOR_FEMALE         = "Female",
    CONFIG_COLOR_FEMALE_TT      = "The color for a female character, when you use the [rp:gendercolor] tag.",
    CONFIG_COLOR_NEUTER         = "Neuter",
    CONFIG_COLOR_NEUTER_TT      = "The color for a character with a neuter-gender character, when you use the [rp:gendercolor] tag. Only used if you have checked the boxes to enable gender extrapolation and extended genders.",
    CONFIG_COLOR_THEY           = "Non-binary / singular they",
    CONFIG_COLOR_THEY_TT        = "The color for a non-binary character or any other character that uses a singular they pronoun, when you use the [rp:gendercolor] tag. Only used if you have checked the boxes to enable gender extrapolation and extended genders.",
    CONFIG_COLOR_IC             = "In Character [IC]",
    CONFIG_COLOR_IC_TT          = "The color for a player who is currently in character, when you use the [rp:statuscolor] tag.",
    CONFIG_COLOR_OOC            = "Out of Character [OOC]",
    CONFIG_COLOR_OOC_TT         = "The color for a player who is currently out of character, when you use the [rp:statuscolor] tag.",
    CONFIG_COLOR_NPC            = "Non-Player Character",
    CONFIG_COLOR_NPC_TT         = "The color for an NPC when you use the [rp:statuscolor] tag. NPCs can't be either IC or OOC.",
    CONFIG_COLOR_LESSTHAN       = "Less than you",
    CONFIG_COLOR_LESSTHAN_TT    = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other character's value is less than yours.",
    CONFIG_COLOR_EQUALISH       = "Approximately equal",
    CONFIG_COLOR_EQUALISH_TT    = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other character's value is roughtly equal to yours.",
    CONFIG_COLOR_GREATERTHAN    = "Greater than you",
    CONFIG_COLOR_GREATERTHAN_TT = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other haracter's value is greater than yours.",
    CONFIG_COLOR_HILITE_1       = "Hilite color 1",
    CONFIG_COLOR_HILITE_1_TT    = "The color used in the [rp:hilite-1] tag.",
    CONFIG_COLOR_HILITE_2       = "Hilite color 2",
    CONFIG_COLOR_HILITE_2_TT    = "The color used in the [rp:hilite-2] tag.",
    CONFIG_COLOR_HILITE_3       = "Hilite color 3",
    CONFIG_COLOR_HILITE_3_TT    = "The color used in the [rp:hilite-3] tag.",
    CONFIG_UNSUP_TAG            = "Unsupported Tag Format",
    CONFIG_UNSUP_TAG_TT         = "Not all roleplaying addons support the same fields. Pick the way you want unsupported tags to be displayed to you. This is primarily to aid in debugging your tag fields.",
    CONFIG_UNSUP_NONE           = "Don't Show Anything",
    -- ------------------ - keybindings
    KEYBIND_DISABLE_RPUF = "Toggle " .. RPUF_NAME,
    KEYBIND_HIDE_IN_COMBAT = "Toggle Hide in Combat",
    KEYBIND_LOCK_FRAMES = "Toggle Frame Lock",
    KEYBIND_TAG_EDITOR = "Open the Tag Editor",
    KEYBIND_IC_OOC = "Toggle IC/OOC Status",
    NOTIFY_KEYBIND_TAG_EDITOR = "Opening the RPUF Tag Editor with the last tag you edited.",
    NOTIFY_KEYBIND_IC_OOC = "You are now ",
    ERROR_KEYBIND_NO_RPUF = "|cffdd0000Error!|r You tried to use a keybinding for RPUF but you don't have RPUF turned on.",
    ERROR_KEYBIND_TAG_EDITOR = "|cffdd0000Error!|r You used the keybinding to open the last panel you edited in the tag editor, but you haven't used it before. Opening the Options page for tags instead.",
    NOTIFY_KEYBIND_TAG_EDITOR_OPEN = "|cffdddd00Ignored:|r You used the keybinding to open the tag editor, but you already have it open.",
    ERROR_KEYBIND_IC_OOC = "|cffdd0000Error!|r You used the keybinding to change your IC/OOC status, but you aren't using a roleplaying addon that is recognized by RPTAGS.",
    -- ------------------ - extrapolation
    CONFIG_PARSE_AGE         = "Parse Age",
    CONFIG_PARSE_AGE_TT      = "Normally, [rp:age] is only calculated when it's a number alone, which means the number of years. Check this box to have RPTAGS try to interpret age fields that have text such as '120 years' or '20 centuries'.",
    CONFIG_PARSE_HW          = "Parse Height and Weight",
    CONFIG_PARSE_HW_TT       = "Normally, [rp:height] and [rp:weight] are only calculated when they're a number alone. For height, this number represents centimeters, and for weight this represents kilograms. Check this box to have RPTAGS attempt to interpret height and weight fields that have text such as '4 foot 6', '2 meters', '165 pounds', or '12 stone'.",
    CONFIG_PARSE_GENDER      = "Parse Gender",
    CONFIG_PARSE_GENDER_TT   = "Normally, gender is based on the toon's model for [rp:gender], [rp:gendercolor], and pronoun tags. Check this box to have RPTAGS attempt to interpret gender based on a variety of profile fields, such as race and the [[[Gender]]] custom field.",
    CONFIG_ADULT_GENDERS     = "Parse Adult Genders",
    CONFIG_ADULT_GENDERS_TT  = "If you have enabled parsing of genders, check this box to have RPTAGS match rude or inappropriate names for different genders. |cffff0000Warning:|r Only enable this if you are, yourself, an adult.",
    -- ------------------ - field sizes
    CONFIG_CURR_SIZE      = "Currently/Info",
    CONFIG_CURR_SIZE_TT   = "Choose a limit on the size of the [rp:curr] and [rp:oocinfo] tags. This may make it easier for you to make RP UIs that don't get thrown off by long tag values.",
    CONFIG_GLANCETITLE_SIZE = "At First Glance Titles",
    CONFIG_GLANCETITLE_SIZE_TT = "Choose a limit on the size of the title of an [rp:glance] tag. This may make it easier for you to make RP UIs that don't get thrown off by long tag values.",
    CONFIG_GLANCE_SIZE    = "At First Glance Text",
    CONFIG_GLANCE_SIZE_TT = "Choose a limit on the size of the text in an [rp:glance] tag. This may make it easier for you to make RP UIs that don't get thrown off by long tag values.",
    CONFIG_TITLE_SIZE     = "Titles",
    CONFIG_TITLE_SIZE_TT  = "Choose a limit on the size of the [rp:title] tag. The [rp:fulltitle] tag will be limited to twice this length.",
    CONFIG_NAME_SIZE      = "Names",
    CONFIG_NAME_SIZE_TT   = "Choose a limit on the size of the [rp:name] and [rp:fullname] tags. The [rp:firstname] and [rp:lastname] tags will be limited to half this length.",
    CONFIG_MISC_SIZE      = "Other Fields",
    CONFIG_MISC_SIZE_TT   = "Choose a limit on the size of other fields, including pre-defined and user-defined, such as [rp:motto], [rp:height], [rp:age], and [rp:alignment].",
    -- ------------------ - truncate_or_wrap
    CONFIG_NAME_WRAP      = "Names",
    CONFIG_NAME_WRAP_TT   = "Choose how to handle names that exceed the maximum size you've set.",
    CONFIG_CURR_WRAP      = "Currently/Info",
    CONFIG_CURR_WRAP_TT   = "Choose how to handle currently/OOC info texts that exceed the maximum size you've set.",
    CONFIG_GLANCE_WRAP    = "At First Glance Text",
    CONFIG_GLANCE_WRAP_TT = "Choose how to handle at-first-glance text fields that exceed the maximum size you've set.",
    CONFIG_GLANCETITLE_WRAP = "At First Glance Titles",
    CONFIG_GLANCETITLE_WRAP_TT = "Choose how to handle at-first-glance titles that exceed the maximum size you've set.",
    CONFIG_TITLE_WRAP     = "Titles",
    CONFIG_TITLE_WRAP_TT  = "Choose how to handle titles that exceed the maximum size you've set.",
    CONFIG_MISC_WRAP      = "Other Fields",
    CONFIG_MISC_WRAP_TT   = "Choose how to handle other text that exceeds the maximum size you've set.",
    CONFIG_REAL_ELLIPSES  = "Use actual ellipses when truncating",
    CONFIG_REAL_ELLIPSES_TT = "Some fonts may have a problem displaying ellipsis characters. Uncheck this box to use three periods instead.",
    -- ------------------ - rpuf
    CONFIG_INFOWIDTH      = "Info Panel Width",
    CONFIG_INFOWIDTH_TT   = "Choose how wide you want the info panel to be.",
    CONFIG_ICONWIDTH      = "Icon Width",
    CONFIG_ICONWIDTH_TT   = "Choose how wide you want the icon bar to be.",
    CONFIG_PORTWIDTH      = "Portrait Width",
    CONFIG_PORTWIDTH_TT   = "Choose how wide you want the portrait to be.",
    CONFIG_GAPSIZE        = "Layout Spacing",
    CONFIG_GAPSIZE_TT     = "Choose how much extra space you want left around the elements of the unitframes.",
    CONFIG_DETAILHEIGHT   = "Details Panel Height",
    CONFIG_DETAILHEIGHT_TT  = "Choose how tall you want the details panel to be.",
    CONFIG_STATUSHEIGHT     = "Height",
    CONFIG_STATUSHEIGHT_TT  = "Set the height of the 'status' panel.",
  
    CONFIG_STATUS_TEXTURE = "Appearance",
    CONFIG_STATUS_TEXTURE_TT = "Choose how you want the status bar to appear.",
    CONFIG_STATUS_ALIGN   = "Alignment",
    CONFIG_STATUS_ALIGN_TT = "Choose how you want the text on the status bar to be aligned.",

    SET_LAYOUT            = "Set ",
    TO_VALUE              = " to ",
    CONFIG_PLAYERLAYOUT   = "Player Frame Layout",
    CONFIG_PLAYERLAYOUT_TT = "Choose the layout for the player (that's you) unit frame.",
    CONFIG_TARGETLAYOUT   = "Target Frame Layout",
    CONFIG_TARGETLAYOUT_TT = "Choose the layout for the target unit frame.",
    CONFIG_FOCUSLAYOUT    = "Focus Frame Layout",
    CONFIG_FOCUSLAYOUT_TT = "Choose the layout for your focus unit frame.",
    CONFIG_TARGETTARGETLAYOUT = "TargetTarget Frame Layout",
    CONFIG_TARGETTARGETLAYOUT_TT = "Choose the layout for the target-of-your-target unit frame.",
    CONFIG_PARTYLAYOUT    = "Party Frame Layout",
    CONFIG_PARTYLAYOUT_TT = "Choose the layout for the party unit frames.",
    CONFIG_RAIDLAYOUT     = "Raid Frame Layout",
    CONFIG_RAIDLAYOUT_TT = "Choose the layout for the raid unit frames.",
    CONFIG_PARTY_ORIENTATION = "Party Orientation",
    CONFIG_PARTY_ORIENTATION_TT = "Choose whether you want your party frames to be laid out horizontally or vertically.",
    CONFIG_RAID_GRID        = "Raid Configuration",
    CONFIG_RAID_GRID_TT     = "Choose how you want raid frames to be laid out.",

    CONFIG_PORTRAIT_STYLE   = "Portrait Style",
    CONFIG_PORTRAIT_STYLE_TT = "Choose how you want to show the unit's portrait. If you want to use the preferred portrait type for each layout, choose [[Let the layout decide]]. ",
    PORTRAIT_STYLE_LAYOUT   = "Let the layout decide",
    PORTRAIT_STYLE_FACE     = "Always show face",
    PORTRAIT_STYLE_BODY     = "Always show full body",
    -- bar textures         -
    BLANK                   = "Blank",
    SHADED                  = "Shaded",
    SOLID                   = "Solid",
    BAR                     = "Progress Bar",
    SKILLS                  = "Skills Bar",
    RAID                    = "Raid Bar",
    -- alignment
    TOPLEFT                 = "Top Left",
    TOPRIGHT                = "Top Right",
    BOTTOMRIGHT             = "Bottom Right",
    BOTTOMLEFT              = "Bottom Left",
    TOP                     = "Top",
    BOTTOM                  = "Bottom",
    CENTER                  = "Center",
    LEFT                    = "Left",
    RIGHT                   = "Right",
    HORIZONTAL              = "Horizontal",
    VERTICAL                = "Vertical",
    ["5X8"]                 = "Five rows of 8",
    ["4X10"]                = "Four rows of 10",
    ["2X20"]                = "Two rows of 20",
    ["8X5"]                 = "Five columns of 8",
    ["10X4"]                = "Four columns of 10",
    ["20X2"]                = "Two columns of 20",

    CONFIG_RPUFALPHA        = "Background Transparency",
    CONFIG_RPUFALPHA_TT     = "Set the transparency of the background. 0 is completely invisible, while 100 is completely opaque.",
    STATUS_BAR              = "Status Bar",
  
    CONFIG_NAMEPANEL      = "Name Panel",
    CONFIG_NAMEPANEL_TT   = "Set the tags for the 'name' panel. You don't have to use name tags.",
    CONFIG_INFOPANEL      = "Info Panel",
    CONFIG_INFOPANEL_TT   = "Set the tags for the 'info' panel.",
    CONFIG_STATUSPANEL    = "Status Panel",
    CONFIG_STATUSPANEL_TT = "Set the tags for the 'status' panel. You don't have to use status tags.",
    CONFIG_DETAILPANEL    = "Details Panel",
    CONFIG_DETAILPANEL_TT = "Set the tags for the 'details' panel.",
    CONFIG_ICON_1         = "Icon Slot 1",
    CONFIG_ICON_1_TT      = "Set the icon for the first icon slot. You should use icon tags.",
    CONFIG_ICON_2         = "Icon Slot 2",
    CONFIG_ICON_2_TT      = "Set the icon for the second icon slot. You should use icon tags.",
    CONFIG_ICON_3         = "Icon Slot 3",
    CONFIG_ICON_3_TT      = "Set the icon for the third icon slot. You should use icon tags.",
    CONFIG_ICON_4         = "Icon Slot 4",
    CONFIG_ICON_4_TT      = "Set the icon for the fourth icon slot. You should use icon tags.",
    CONFIG_ICON_5         = "Icon Slot 5",
    CONFIG_ICON_5_TT      = "Set the icon for the fifth icon slot. You should use icon tags.",
    CONFIG_ICON_6         = "Icon Slot 6",
    CONFIG_ICON_6_TT      = "Set the icon for the sixth icon slot. You should use icon tags.",
  
    CONFIG_UNLOCK_FRAMES  = "Unlock Frames",
    CONFIG_LOCK_FRAMES    = "Lock Frames",
    CONFIG_LOCK_FRAMES_TT = "Lock the unit frames so they can't be moved.",
  
    LOCKING_FRAMES        = RPUF_NAME .. " are now locked in position.",
    UNLOCKING_FRAMES      = RPUF_NAME .. " are now unlocked and can be moved.",
  
    CONFIG_NAME_TOOLTIP      = "Name Panel Tooltip",
    CONFIG_NAME_TOOLTIP_TT   = "Set the tags for the 'name' panel tooltip.",
    CONFIG_PORTRAIT            = "Portrait",
    CONFIG_PORTRAIT_TOOLTIP    = "Portrait Tooltip",
    CONFIG_PORTRAIT_TOOLTIP_TT    = "Set the tags for the portrait tooltip.",
    CONFIG_ICON_1_TOOLTIP      = "Icon Slot 1 Tooltip",
    CONFIG_ICON_1_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_2_TOOLTIP      = "Icon Slot 2 Tooltip",
    CONFIG_ICON_2_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_3_TOOLTIP      = "Icon Slot 3 Tooltip",
    CONFIG_ICON_3_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_4_TOOLTIP      = "Icon Slot 4 Tooltip",
    CONFIG_ICON_4_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_5_TOOLTIP      = "Icon Slot 5 Tooltip",
    CONFIG_ICON_5_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_6_TOOLTIP      = "Icon Slot 6 Tooltip",
    CONFIG_ICON_6_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_INFO_TOOLTIP      = "Info Panel Tooltip",
    CONFIG_INFO_TOOLTIP_TT   = "Set the tags for the 'info' panel tooltip.",
    CONFIG_STATUS_TOOLTIP    = "Status Panel Tooltip",
    CONFIG_STATUS_TOOLTIP_TT = "Set the tags for the 'status' panel tooltip.",
    CONFIG_DETAIL_TOOLTIP    = "Details Panel Tooltip",
    CONFIG_DETAIL_TOOLTIP_TT = "Set the tags for the 'details' panel tooltip.",
    -- ------------------ - portraits
    PORTRAIT_3D             = "3D Model",
    PORTRAIT_2D             = "2D Portrait",
    -- ------------------ - tag editing
    CONTEXT_MENU_TITLE      = "Choose an Option",
    CONTEXT_LOCK_FRAMES     = "Lock all "   .. RPUF_NAME .. " positions",
    CONTEXT_UNLOCK_FRAMES   = "Unlock all " .. RPUF_NAME .. " positions",
    CONTEXT_SHOW_FRAMES     = "Show all "   .. RPUF_NAME .. " in combat",
    CONTEXT_HIDE_FRAMES     = "Hide all "   .. RPUF_NAME .. " in combat",
    EDIT_TAGS               = "Edit Tags",
    EDIT_PANEL              = "Edit Panel Tags",
    EDIT_TOOLTIP            = "Edit Tooltip Tags",
    EDIT_ICON               = "Edit Icon Slot Tags",
    EDIT_TAGS_FOR           = "Edit Tags for ",
    RPTAGS_OPTIONS          = APP_NAME .. " Options",
    CANCEL                  = "Cancel",
    CONFIG_BTN_RESET_FRAMES     = "Reset Layout",
    CONFIG_BTN_RESET_FRAMES_TT  = "Reset unit frames to their panel sizes and locations.",
    CONFIG_BTN_RESET_TAGS       = "Reset Panel and Icon Tags",
    CONFIG_BTN_RESET_TAGS_TT    = "Reset panels and icon slots to their default tag values.",
    CONFIG_BTN_RESET_COLORS = "Reset Colors",
    CONFIG_BTN_RESET_COLORS_TT = "Reset custom colors to their orignal values.",
    RESET                   = "Reset Now",
    RPUF_ARE_DISABLED       = "RPUF are now disabled.",
    RPUF_ARE_ENABLED        = "RPUF are now enabled.",
    OPTIONS_ARE_RESET       = "Options have been reset to their default values.",
    TAGS_ARE_RESET          = "All " .. RPUF_NAME .. " panels and tooltips have been reset to their default tag values.",
    FRAMES_ARE_RESET        = "All " .. RPUF_NAME .. " have been reset to their original panel dimensions.",
    COLORS_ARE_RESET        = "All custom colors have been reset to their original values.",
    FRAME_LOCATIONS_ARE_RESET = "All " .. RPUF_NAME .. " have been reset to their original locations.",
    TRP3_CONFIG_OBSOLETE    = "Use the RPTAGS configuration system",
    TRP3_CONFIG_OBSOLETE_TT = "RPTAGS is now configured using its own configuration system, accessible via the normal WoW addons options.",
    OPEN_RPTAGS_CONFIG      = "Open " .. APP_NAME .. " Options",
    IMPORT_TRP3_CONFIG_START = "RPTAGS has a [[new configuration system]], accessible via the normal [[[WoW addons options menu]]]. Initializing the RPTAGS options with your Total RP 3 settings.",
    IMPORT_TRP3_CONFIG_DONE = "Import of Total RP 3 settings [[complete]]. This is a one-time message and you won't need to see it again.",
    -- ------------------ - unitframe layouts
    RPUF_ABRIDGED           = "Standard",
    RPUF_COMPACT            = "Compact",
    RPUF_FULL               = "Detailed",
    RPUF_HIDDEN             = "Do not display",
    RPUF_PAPERDOLL          = "Portrait",
    RPUF_THUMBNAIL          = "Thumbnail",
    -- ------------------ - buttons
    CONFIG_DISABLE_BLIZZARD  = "Disable Blizzard Unit Frames",
    CONFIG_DISABLE_BLIZZARD_TT = "You can disable Blizzard's unit frames. Don't worry, you can get them back by unchecking this button! |cffdd0000Warning:|r Changing this option will load the game.",
    TOGGLE                = "Toggle and Reload",
    -- ------------------ - ic/ooc status
    IS_IC                 = "[IC]",
    IS_OOC                = "[OOC]",
    IS_NPC                = "[NPC]",
    IS_UNDEF              = "[Unk]",
    IS_OPEN               = "[Open]",
    IS_STORYTELLER        = "[DM]",
    IS_IC_VERBOSE         = "In Character",
    IS_OOC_VERBOSE        = "Out of Character",
    IS_NPC_VERBOSE        = "Non-Player Character",
    IS_DM_VERBOSE         = "Storyteller",
    IS_LOOKING_VERBOSE    = "Looking for Contact",
    IS_UNDEF_VERBOSE      = "RP Status Unknown",
    -- ------------------ - when texts get wordy
    EYE                   = "eye",
    EYES                  = "eyes",
    AGE_YEARS             = "years",
    -- ------------------ - placeholder values when nothing found
    PH_AGE                = "unknown age",
    PH_HEIGHT             = "unknown height",
    PH_WEIGHT             = "unknown weight",
    PH_EYES               = "unknown eye color",
    PH_LOCATION           = "unknown location",
    PH_GLANCE             = "...",
    PH_TITLE              = "unknown title",
    PH_CURR               = "nothing currently",
    PH_INFO               = "no info available",
    PH_CLASS              = "unknown class",
    PH_RACE               = "unknown race",
  
    UNDEF_AGE             = "unknown age",
    UNDEF_EYES            = "nondescript",
    UNDEF_LOCATION        = "an unknown location",
    -- ------------------ - general formats
    FMT_APP_LOAD          = "%s loaded. Type [[[%s]]] for options.",
    FMT_APP_NAME          = "%s (v%s)",
    FMT_BOND_NAME         = "%s, %s %s",
    FMT_MOTTO             = '"%s"',
    -- ------------------ - tag editing
    FMT_TAG_TEST          = "%s Testing your tags now.",
    TAG_EDITOR            = " Tag Editor",
    -- MORE_TAGS             = "More " .. T_ .. Icon.MORE .. _t,
    MORE_TAGS             = "More ...", 
    TAG_TEST_PASS         = "No errors found.",
    TAG_TEST_FAIL         = "Unknown tags found: ",
    TAG_TEST_FAIL_SINGULAR = "Unknown tag found: ",
    TAG_EDIT_HELP         = "|cff%s%s|r\n\n%s",
    TAG_EDIT_UPDATE       = "Save Tags",
    TAG_EDIT_CANCEL       = "Cancel",
    TAG_EDIT_TEST         = "Test Tags", 
    TAG_EDIT_REVERT       = "Revert",
    TAG_EDIT_DEFAULT      = "Default",
    TAG_EDIT_ERRORS       = "You have unknown tags. Save anyway?",
    TAG_EDIT_ERRORS_SAVE  = "Save Anyway",
    TAG_EDIT_ERRORS_CANCEL = "Cancel",
    TAG_EDIT_ERRORS_EDIT  = "Edit Tags",
    TAG_EDIT_RESULTS      = "Test Results",
    TAG_EDIT_RESULTS_PASS = "Test Results: Passed",
    TAG_EDIT_RESULTS_FAIL = "Test Results: Errors Found",
    RELOAD_UI_WARNING     = "This will reload your user interface. Are you sure you want to do that?",
    RELOAD_UI_WARNING_YES = "Yes, Reload",
    RELOAD_UI_WARNING_NO  = "Cancel",
    FMT_CONFIG_SET        = "%s Setting |cff%s%s|r to |cff%s%s|r",
    UNKNOWN_TAG_START     = "|cffff0000Tag Error: [",
    UNKNOWN_TAG_END       = "]|r",
    -- ------------------ - - formats for sizebuffs
    FMT_SB_PCT            = "%+d%%",
    FMT_SB_PCT_BRC        = "[%+d%%]",
    FMT_SB_PCT_BUFF       = "%+d%% (%s)",
    FMT_SB_BUFF_PCT       = "%s (%+d%%)",
    FMT_SB_BUFF           = "%s",
    FMT_SB_BUFF_BRC       = "[%s]",
    FMT_SB_BUFF_PCT_BRC   = "[%s, %+d%%]",
    FMT_HEIGHT_SIZE_BUFF  = "%s [%s, %+d%%]",
    FMT_SIZE_BUFF         = "%s [%+d%%]",
    FMT_SIZE_BUFF_SHORT   = "[%+d%%]",
    -- ------------------ - formats for cm/in/ft
    FMT_CM                = "%d cm",
    FMT_CM_FT_IN          = "%d cm (%d' %d\")",
    FMT_CM_IN             = "%d cm (%d\")",
    FMT_FT_IN             = "%d' %d\"",
    FMT_FT_IN_CM          = "%d' %d\" (%d cm)",
    FMT_IN                = "%d\"",
    FMT_IN_CM             = "%d\" (%d cm)",
    FMT_HEIGHT_PASSTHRU   = "%s",
    -- ------------------ - formats for kg/stone/lb
    FMT_KG                = "%d kg",
    FMT_KG_LB             = "%d kg (%d lb)",
    FMT_KG_ST_LB          = "%d kg (%d stone %d lb)",
    FMT_LB_KG             = "%d lb (%d kg)",
  
    FMT_LB_ST             = "%d lb (%d stone %d lb)",
    FMT_ST_LB             = "%d stone %d lb",
    FMT_ST_LB_KG          = "%d stone %d lb (%d kg)",
    FMT_ST_LB_LB_KG       = "%d stone %d lb (%d lb, or %d kg)",
    FMT_WEIGHT_PASSTHRU   = "%s",
    --###
    --------------------- - gender and pronouns -----------------------------------------------------------
    PRONOUN_TAGS          = "sopar",                      -- pronouns are language-dependent
                                                          -- english:
                                                          -- s = subject (nominative)     "[She] is laughing."
                                                          -- o = object                   "I called [her]."
                                                          -- p = possessive (determiner)  "[Her] eyes gleam."
                                                          -- a = absolute                 "That is [hers]."
                                                          -- r = reflexive                "She likes [herself]."
    GENDERS               = "THEY;NEUTER;FEMALE;MALE",    -- genders are language-dependent
  
    GENDER_MALE           = "Male",
    GENDER_ALIASES_MALE   = "male;boy;man;transman;trans man;transgender man;transmasc",
    GENDER_ADULT_MALE     = "snttbg;snt;genc;phagobl;phagobv;obv;srzobl",
    GENDER_PERSON_MALE    = "man",
    GENDER_CHILD_MALE     = "boy",
  
    PRONOUN_MALE_S        = "he",
    PRONOUN_MALE_O        = "him",
    PRONOUN_MALE_P        = "his",
    PRONOUN_MALE_A        = "his",
    PRONOUN_MALE_R        = "himself",
  
    GENDER_FEMALE         = "Female",
    GENDER_ALIASES_FEMALE = "female;girl;woman;lesbian;trans woman;transwoman;transgender woman;lady",
    GENDER_ADULT_FEMALE   = "ovgpu;qlxr;shgn;shgnanev;furznyr;fur-znyr;genaal;qvpxtvey",
    GENDER_PERSON_FEMALE  = "woman",
    GENDER_CHILD_FEMALE   = "girl",
  
    PRONOUN_FEMALE_S      = "she",
    PRONOUN_FEMALE_O      = "her",
    PRONOUN_FEMALE_P      = "her",
    PRONOUN_FEMALE_A      = "hers",
    PRONOUN_FEMALE_R      = "herself",
  
    GENDER_NEUTER         = "Neuter",
    GENDER_ALIASES_NEUTER = "neuter;agender;non-gendered;nongendered;robot;eunuch",
    GENDER_ADULT_NEUTER   = "gbnfgre",
    GENDER_PERSON_NEUTER  = "person",
    GENDER_CHILD_NEUTER   = "child",
  
    PRONOUN_NEUTER_S      = "it",
    PRONOUN_NEUTER_O      = "it",
    PRONOUN_NEUTER_P      = "its",
    PRONOUN_NEUTER_A      = "its",
    PRONOUN_NEUTER_R      = "itself",
  
    GENDER_THEY           = "Non-Binary",
    GENDER_ALIASES_THEY   = "non-binary;nonbinary;enby;enbie;genderqueer;genderfluid",
    GENDER_ADULT_THEY     = "traqreshpx", 
    GENDER_PERSON_THEY    = "person",
    GENDER_CHILD_THEY     = "child",
  
    PRONOUN_THEY_S        = "they",
    PRONOUN_THEY_O        = "them",
    PRONOUN_THEY_P        = "their",
    PRONOUN_THEY_A        = "theirs",
    PRONOUN_THEY_R        = "themselves",
  
    EXTRA_PRONOUN_SETS    = "SPIVAK;ELVERSON;HOU;THON;VE;XE;BORNSTEIN;HIR;ZIR;ZES;MER;PER;ZHE;PEH;HUMANIST",
                            -- based on https://en.wikipedia.org/wiki/Third-person_pronoun
  
    PRONOUN_SPIVAK_S      = "E",
    PRONOUN_SPIVAK_O      = "Em",
    PRONOUN_SPIVAK_P      = "Eir",
    PRONOUN_SPIVAK_A      = "Eirs",
    PRONOUN_SPIVAK_R      = "Emself",
  
    PRONOUN_ELVERSON_S    = "ey",
    PRONOUN_ELVERSON_O    = "em",
    PRONOUN_ELVERSON_P    = "eir",
    PRONOUN_ELVERSON_A    = "eirs",
    PRONOUN_ELVERSON_R    = "emself",
  
    PRONOUN_HOU_S         = "hou",
    PRONOUN_HOU_O         = "hee",
    PRONOUN_HOU_P         = "hy",
    PRONOUN_HOU_A         = "hine",
    PRONOUN_HOU_R         = "hyself",
  
    PRONOUN_THON_S        = "thon",
    PRONOUN_THON_O        = "thon",
    PRONOUN_THON_P        = "thons",
    PRONOUN_THON_A        = "thons",
    PRONOUN_THON_R        = "thonself",
  
    PRONOUN_VE_S          = "ve",
    PRONOUN_VE_O          = "ver",
    PRONOUN_VE_P          = "vis",
    PRONOUN_VE_A          = "vis",
    PRONOUN_VE_R          = "verself",
  
    PRONOUN_XE_S          = "xe",
    PRONOUN_XE_O          = "xem",
    PRONOUN_XE_P          = "xyr",
    PRONOUN_XE_A          = "xyrs",
    PRONOUN_XE_R          = "xemself",
  
    PRONOUN_BORNSTEIN_S   = "ze",
    PRONOUN_BORNSTEIN_O   = "hir",
    PRONOUN_BORNSTEIN_P   = "hir",
    PRONOUN_BORNSTEIN_A   = "hirs",
    PRONOUN_BORNSTEIN_R   = "hirself",
  
    PRONOUN_HIR_S         = "sie",
    PRONOUN_HIR_O         = "hir",
    PRONOUN_HIR_P         = "hir",
    PRONOUN_HIR_A         = "hirs",
    PRONOUN_HIR_R         = "hirself",
  
    PRONOUN_ZIR_S         = "zie",
    PRONOUN_ZIR_O         = "zir",
    PRONOUN_ZIR_P         = "zir",
    PRONOUN_ZIR_A         = "zirs",
    PRONOUN_ZIR_R         = "zirself",
  
    PRONOUN_ZES_S         = "ze",
    PRONOUN_ZES_O         = "zem",
    PRONOUN_ZES_P         = "zes",
    PRONOUN_ZES_A         = "zes",
    PRONOUN_ZES_R         = "zemself",
  
    PRONOUN_MER_S         = "ze",
    PRONOUN_MER_O         = "mer",
    PRONOUN_MER_P         = "zer",
    PRONOUN_MER_A         = "zers",
    PRONOUN_MER_R         = "zemself",
  
    PRONOUN_PER_S         = "per",
    PRONOUN_PER_O         = "per",
    PRONOUN_PER_P         = "per",
    PRONOUN_PER_A         = "pers",
    PRONOUN_PER_R         = "perself",
  
    PRONOUN_ZHE_S         = "zhe",
    PRONOUN_ZHE_O         = "zhim",
    PRONOUN_ZHE_P         = "zher",
    PRONOUN_ZHE_A         = "zhers",
    PRONOUN_ZHE_R         = "zhimself",
  
    PRONOUN_PEH_S         = "peh",
    PRONOUN_PEH_O         = "pehm",
    PRONOUN_PEH_P         = "peh",
    PRONOUN_PEH_A         = "peh's",
    PRONOUN_PEH_R         = "pehself",
  
    PRONOUN_HUMANIST_S    = "hu",
    PRONOUN_HUMANIST_O    = "hum",
    PRONOUN_HUMANIST_P    = "hus",
    PRONOUN_HUMANIST_A    = "hus",
    PRONOUN_HUMANIST_R    = "humself",
  
    GENDER_UNKNOWN        = "Unknown",
  
    -- ------------------ - relationship status -----------------------------------------------------------
    RSTATUS_0             = "",
    RSTATUS_1             = "Single",
    RSTATUS_2             = "Taken",
    RSTATUS_3             = "Married",
    RSTATUS_4             = "Divorced",
    RSTATUS_5             = "Widowed",
    -- ------------------ - server ------------------------------------------------------------------------
    ["SERVER_TYPE_RP"]    = "Roleplaying",
    ["SERVER_TYPE_PVE"]   = "Normal",
    -- ------------------ - languages ---------------------------------------------------------------------
    LANG_deDE             = "German",
    LANG_enGB             = "English",
    LANG_enUS             = "English",
    LANG_esES             = "Spanish",
    LANG_esMX             = "Spanish",
    LANG_frFR             = "French",
    LANG_itIT             = "Italian",
    LANG_koKR             = "Korean",
    LANG_ptBR             = "Portuguese",
    LANG_ruRU             = "Russian",
    LANG_zhCN             = "Chinese",
    LANG_zhTW             = "Chinese",
    -- ------------------ - region ------------------------------------------------------------------------
    REGION_CN             = "China",
    REGION_CN_zhCN_       = "China",
    REGION_EU             = "Europe",
    REGION_EU_deDE_       = "Germany",
    REGION_EU_enUS_       = "United Kingdom",
    REGION_EU_esES_       = "Spain",
    REGION_EU_frFR_       = "France",
    REGION_EU_itIT_       = "Italy",
    REGION_EU_ptBR_       = "Portugal",
    REGION_EU_ruRU_       = "Russia",
    REGION_KR             = "Korea",
    REGION_KR_koKR_       = "Korea",
    REGION_TW             = "Taiwan",
    REGION_TW_zhTW_       = "Taiwan",
    REGION_US             = "United States",
    REGION_US_enUS_AEST   = "Oceania",
    REGION_US_enUS_CST    = "US Central",
    REGION_US_enUS_EST    = "US Eastern",
    REGION_US_enUS_MST    = "US Mountain",
    REGION_US_enUS_PST    = "US Pacific",
    REGION_US_esMX_CST    = "Latin America",
    REGION_US_ptBR_       = "Brazil",
    -- ------------------ - RP Style preferences
    STYLE_BATTLE_0         = "",            STYLE_BATTLE_0_ICON  = "",                     STYLE_BATTLE_0_LONG  = "",
    STYLE_BATTLE_1         = "PvP",         STYLE_BATTLE_1_ICON  = T_..Icon.BATTLE_1 .._t, STYLE_BATTLE_1_LONG  = "World of Warcraft PvP",
    STYLE_BATTLE_2         = "TRP",         STYLE_BATTLE_2_ICON  = T_..Icon.BATTLE_2 .._t, STYLE_BATTLE_2_LONG  = "TRP roll battle",
    STYLE_BATTLE_3         = "/roll",       STYLE_BATTLE_3_ICON  = T_..Icon.BATTLE_3 .._t, STYLE_BATTLE_3_LONG  = "/roll battle",
    STYLE_BATTLE_4         = "Emote",       STYLE_BATTLE_4_ICON  = T_..Icon.BATTLE_4 .._t, STYLE_BATTLE_4_LONG  = "Emote battle",
    STYLE_DEATH_0          = "",            STYLE_DEATH_0_ICON   = "",                     STYLE_DEATH_0_LONG   = "",
    STYLE_DEATH_1          = "Yes",         STYLE_DEATH_1_ICON   = T_..Icon.DEATH_1  .._t, STYLE_DEATH_1_LONG   = "Yes",
    STYLE_DEATH_2          = "No",          STYLE_DEATH_2_ICON   = T_..Icon.DEATH_2  .._t, STYLE_DEATH_2_LONG   = "No",
    STYLE_DEATH_3          = "Ask",         STYLE_DEATH_3_ICON   = T_..Icon.DEATH_3  .._t, STYLE_DEATH_3_LONG   = "With player permission",
    STYLE_GUILD_0          = "",            STYLE_GUILD_0_ICON   = "",                     STYLE_GUILD_0_LONG   = "",
    STYLE_GUILD_1          = "IC",          STYLE_GUILD_1_ICON   = T_..Icon.GUILD_1  .._t, STYLE_GUILD_1_LONG   = "IC membership",
    STYLE_GUILD_2          = "OOC",         STYLE_GUILD_2_ICON   = T_..Icon.GUILD_2  .._t, STYLE_GUILD_2_LONG   = "OOC membership",
    STYLE_IC_0             = "",            STYLE_IC_0_ICON      = "",                     STYLE_IC_0_LONG      = "",
    STYLE_IC_1             = "Full",        STYLE_IC_1_ICON      = T_..Icon.IC_1     .._t, STYLE_IC_1_LONG      = "Full-time, no OOC",
    STYLE_IC_2             = "Mostly",      STYLE_IC_2_ICON      = T_..Icon.IC_2     .._t, STYLE_IC_2_LONG      = "Most of the time",
    STYLE_IC_3             = "Sometimes",   STYLE_IC_3_ICON      = T_..Icon.IC_3     .._t, STYLE_IC_3_LONG      = "Mid-time",
    STYLE_IC_4             = "Casual",      STYLE_IC_4_ICON      = T_..Icon.IC_4     .._t, STYLE_IC_4_LONG      = "Casual",
    STYLE_IC_5             = "Never",       STYLE_IC_5_ICON      = T_..Icon.IC_5     .._t, STYLE_IC_5_LONG      = "Full-time OOC, not a RP character",
    STYLE_INJURY_0         = "",            STYLE_INJURY_0_ICON  = "",                     STYLE_INJURY_0_LONG  = "",
    STYLE_INJURY_1         = "",            STYLE_INJURY_1_ICON  = T_..Icon.INJURY_1 .._t, STYLE_INJURY_1_LONG  = "Yes",
    STYLE_INJURY_2         = "No",          STYLE_INJURY_2_ICON  = T_..Icon.INJURY_2 .._t, STYLE_INJURY_2_LONG  = "No",
    STYLE_INJURY_3         = "Ask",         STYLE_INJURY_3_ICON  = T_..Icon.INJURY_3 .._t, STYLE_INJURY_3_LONG  = "With player permission",
    STYLE_ROMANCE_0        = "",            STYLE_ROMANCE_0_ICON = "",                     STYLE_ROMANCE_0_LONG = "",
    STYLE_ROMANCE_1        = "Yes",         STYLE_ROMANCE_1_ICON = T_..Icon.ROMANCE_1.._t, STYLE_ROMANCE_1_LONG = "Yes",
    STYLE_ROMANCE_2        = "No",          STYLE_ROMANCE_2_ICON = T_..Icon.ROMANCE_2.._t, STYLE_ROMANCE_2_LONG = "No",
    STYLE_ROMANCE_3        = "Ask",         STYLE_ROMANCE_3_ICON = T_..Icon.ROMANCE_3.._t, STYLE_ROMANCE_3_LONG = "With player permission",
    XP_0                   = "",            XP_0_ICON            = "",                     XP_0_SHORT           = "",
    XP_1                   = "Rookie",      XP_1_ICON            = T_..Icon.XP_1     .._t, XP_1_SHORT           = "[R]",
    XP_2                   = "Experienced", XP_2_ICON            = T_..Icon.XP_1     .._t, XP_2_SHORT           = "[E]",
    XP_3                   = "Volunteer",   XP_3_ICON            = T_..Icon.XP_1     .._t, XP_3_SHORT           = "[V]",
    -- ------------------ = client info
    CLIENT_TRP            = "Total RP 3",
    CLIENT_TRP_SHORT      = "TRP",
    CLIENT_XRP            = "XRP",
    CLIENT_XRP_SHORT      = "XRP",
    CLIENT_MRP            = "MyRolePlay",
    CLIENT_MRP_SHORT      = "MRP",
    CLIENT_TRPE           = "Total RP 3: Extended",
    CLIENT_TRPE_SHORT     = "TRP:E",
  
    -- ------------------ - help --------------------------------------------------------------------------
    HELP_DEFAULT          = "Introduction",
  }; 
  
  return "enUS";
end); -- startup function
