-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
--
-- The licensor cannot revoke these freedoms as long as you follow the
-- license terms.
--
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.

--Notices:

--You do not have to comply with the license for elements of the material
--in the public domain or where your use is permitted by an applicable
--exception or limitation.

--No warranties are given. The license may not give you all of the
--permissions necessary for your intended use. For example, other rights
--such as publicity, privacy, or moral rights may limit how you use the material.
-- ------------------------------------------------------------------------------
-- localization done on

local RPTAGS = RPTAGS;

table.insert(RPTAGS.startup, function(state) -- startup function
                    -- six =
  local HELP_DATA = {
[==========================================================================[
<h1>Introduction</h1>

<p>RPTAGS is an addon that lets you create special panels, called unit frames, to display roleplaying information of your
choice, drawn from roleplaying addons such as <a href="http:mrp">MyRolePlay</a>, <a href="http:trp3">Total RP 3</a>, or
<a href="https:xrp">XRP</a>.</p>

<p>In addition, you can use any tags from RPTAGS in <a href="http:elvui">ElvUI</a>, although <a href="htts:elvui">ElvUI</a> is not required for RPTAGS.</p>

<h2>What's a Unit Frame?</h2>

<p>A unit frame is a window on your screen that appears when a certain type of unit exists in the
game. For example, the Target Unit Frame is shown when you target someone.</p>

<p>RPTAGS works with three types of unit frame: Player, Target, and Focus. When we talk about showing
a unit's info, that means that your RP info is displayed in the player frame, your target's in the target frame,
and your focus, if any, in the focus frame.</p>

<h2>What's a Tag?</h2>

<p>A tag, in this context, refers to a string of text that you asisgn to locations on the unit frames known
as panels. Tags look like this:</p>

<h3> &nbsp; &nbsp; [rp:tagname]</h3>

<p>There are nearly 200 RPTAGS you can use, as well as several dozen provided by oUF, the framework addon upon
which RPTAGS is built. Some of the most useful tags include:</p>

<h3> &nbsp; &nbsp;  [rp:name], [rp:race], [rp:class], [rp:icon], [rp:color], [rp:status], [rp:curr].</h3>

<h2>What are Panels?</h2>

<p>There are two types of panels: panels for text tags, and panels for icons. The text panels are Name Panel, Info Panel,
Details Panel, and Status Bar. The icon panels are numbered from one to six.</p>

<p>You can customize what is shown in each panel; in addition, you can also set the tooltips for when you move your
mouse over that part of the unit frame.</p>

<h2>What's a Layout?</h2>

<p>There are five layouts provided by RPTAGS. Standard Layout shows all six icons, the name panel, info panel, and
status bar. The Compact Layout only shows the first icon, name panel, and info panel. The Detailed Layout
displays an animated 3-D portrait, all six icons, name panel, info panel, status bar, and a large space for the details
panel. Portrait Layout is modeled after Blizzard's "paper doll" character screen and features a larger portrait,
the name panel, the info panel, and all six icon slots. The Thumbnail Layout shows a small portrait, the name
panel, and a single icon.</p>

<p>You can set each panel to a different layout if you wish.</p>

<h2>Getting Started</h2>

<p>By default, RPTAGS begins with a set of predefined tags, but you can change those to whatever you wish. For example,
the default tag found in the Name Panel is [rp:color][rp:name]. The first tag, [rp:color], changes the
color of the following text to the the unit's personal color or custom class color. Then the second tag inserts the
roleplaying name of the character.</p>

<p>You can edit the content of a panel by right-clicking on that part of the frame, or by using the RPTAGS options
panels. Your changes will immediately be reflected in the player frame, and also in whoever you target or focus on.</p>

<h2>Further Help</h2>

<p>If you need more assistance, you can peruse the rest of these help topics or ask for assistance on the
<a href="http:discord">RPTAGS discord</a> or ask <a href="http:twitter">Oraibi on Twitter</a>.
The easiest way to learn is to just start editing tags and experimenting. Have fun!</p>
]==========================================================================], [==========================================================================[
<h1>Options</h1>

<p>All settings are available through the RPTAGS options system.</p>

<p><a href="rpconfig:general">General Settings</a> let you determine what messages to show, how to display certain tags, and how to respond
to notes that you've set on a unit. </p>

<p><a href="rpconfig:colors">Colors Settings</a> let you change the various colors used by RPTAGS.</p>

<p>You can use the <a href="rpconfig:rpuf">rp:UnitFrames Settings</a> control when and where RPUF will be shown.</p>

<p>You can adjust the layout of RPUF in the <a href="rpconfig:layout">rp:UnitFrames Layout Settings</a>.</p>

<p>To set the tags in each panel and icon slot, as well as tooltips for the same, use the
<a href="rpconfig:tags">rp:UnitFrames Panels Settings</a>.</p>

<p>If you want to restore the settings on a particular page to their default values, use the "Defaults" button in the lower left corner of the Interface window.</p>
]==========================================================================], [==========================================================================[
<h1>Key Bindings</h1>

<p>RPTAGS offers a number of keybinds to allow you to control the addon with a single keypress.</p>

<p>Key bindings are accessible through the standard <a href="rpconfig:keybind">WoW Key Bindings Menu</a>, on the AddOns sub-menu.</p>
]==========================================================================], [==========================================================================[
<h1>Tag Labels</h1>

<p>Most tags can autogenerate their own labels. If a tag's contents are empty, the label won't appear.</p>

<p>To use a label, simply add -label to the tag.</p>

<p>For example, to add a label to rp:eyes, write:</p>

<h3> &nbsp; &nbsp; [rp:eyes-label]</h3>
]==========================================================================], [==========================================================================[
<h1>Changes</h1>

<h2>0.950</h2>

<p>Fixed some bugs since the previous verison;<br />
Re-added the reference menu in Options<br />
Something else that slips my mind.</p>

<h2>0.940 beta 10</h2>

<p>Bug fixes;<br />
Added more granular control over hiding rp:UnitFrames;<br />
Styling of rp:UnitFrames status bar.</p>

<h2>0.940 beta 8</h2>

<p>Bug fixes for MyRolePlay support, <br />
removed TargetTarget frame, <br />
added [rp:target] tags.</p>

<h2>0.940 beta 6</h2>

<p>Improved support for running alongside mrp, including glances.</p>

<h2>0.940 beta 2</h2>

<p>Some relatively major changes since the last major release:</p>

<p>New options system integrated with the WoW Interface -> AddOns menu. <br />
Improved context menu on rp:UnitFrames. <br />
Toggle rp:UnitFrames off and on without having to restart WoW. <br />
Individual scaling for rp:UnitFrames. <br />
Key bindings to toggle rp:UF, lock/unlock frames, hide in combat, open the tag editor, and go IC/OOC with supported clients. <br />
Limited -- very limited -- support for using rp:tags with MyRolePlay. (Integration not completed so you should consider that an alpha.) <br />
Minor bug fixes.</p>

<h2>0.937</h2>

<p>Bug fixes. So many bug fixes. askdjfalshglaksdjfkasjfkadfh</p>

<h2>0.936</h2>

<p>Fixed a bug. Don't use 0.935.</p>

<h2>0.934</h2>

<p>Changed how rp:UnitFrames handle unknown tags. Instead of just crashing, it will now mark unknown tags with internal [err] [/err] tags displayed in
red text in rp:UnitFrames.<br />
Minor fix to the tag editor: if an error is detected, the editbox will now highlight (select) the first unknown tag.<br />
Removed non-functioning line-wrapping code intended for ElvUI use.<br />
Made trp3 an "optional" dependency in preparation for mrp integration.<br />
</p>

<h2>0.933</h2>

<p>Fixed:</p>

<p>[rp:guild] tags, they weren't working right before.</p>

<p>Added:</p>

<p>Option to hide rp:UnitFrames in combat, accessible via context menu or trp3 config screens. Also hides in vehicles, pet battles, when dead. <br />
[rp:guildstatuscolor], uses your "IC"/"OOC"/"NPC"/"Unknown" colors based on whether the unit's guild membership is IC or not. <br />
[rp:actor] (or [rp:actress], same tag), defaults to [rp:faceclaim] or [rp:voiceclaim] if actor isn't set. <br />
[rp:bodyclaim], works like [rp:faceclaim] and [rp:voiceclaim]. </p>


<h2>0.932</h2>

<p>Changed the way you move rp:UnitFrames around on the screen. (Including clamping to them to screen so you can't accidentally drag them away.)</p>

<p> Use the context menu or the trp3 config screen to unlock frames. A drag tab appears. <br />
Drag the drag tab around to the desired location. <br />
Click the lock to lock all frames in place, or click the reset button to restore frames to their default locations. <br />
The latter will re-attach focus and targettarget to player and target frames respectively.</p>

<h2>0.931</h2>

<p>Most of the improvements are to rp:UnitFrames.</p>

<p>Added configurable tooltips that can take rp:tags for the various parts of a unit frame.<br />
Added two new layouts, Portrait (which is loosely modeled after WoW's "paperdoll" window) and Thumbnail.<br />
Added context menus accessible via right-click for direct editing of panel and tooltip tags, plus changing the layout.<br />
Added rp:nick-quoted tag.<br />
Various bug fixes.</p>

<h2>0.925</h2>

<p>Adds the ability to run rp:UnitFrames alongside ElvUI unit frames. This is known as "parallel mode".</p>

<p>rp:tags now runs in three modes:</p>

<p>"standalone", using rp:UF to display tags; <br />
"elvui", using ElvUI to display tags; <br />
"parallel", with both rp:UF and ElvUI displaying tags</p>

<h2>0.920</h2>

<p>Improvements to the tag editor.</p>

<p>New tags include [rp:style], [rp:client], [rp:server], [rp:friendcolor], [rp:guildcolor], [rp:partycolor], [rp:guild], and more.</p>

<p>You can now change the colors of the rp:UF frames.</p>

<p>Some other random cool stuff.</p>

<h2>0.901</h2>

<p>Added standalone mode that operates without requiring ElvUI. <br />
Added reference for tags in configuration settings for totalRP3. <br />
Added several miscellaneous tags such as [rp:relation], [rp:relationcolor], and [rp:relationicon]. <br />
Updated [rp:rstatus] to work with trp3's new relation status field. <br />
Minor bug fixes.</p>

<h2>0.850</h2>

<p>Updated for 8.1, changed a little about how wrapping and field size for glances work.</p>

<h2>Older Versions</h2>

<p>For versions of RPTAGS prior to WoW 8.1, please see the <a href="https://wow.curseforge.com/projects/rp-tags/files">CurseForge</a>.</p>

]==========================================================================], [==========================================================================[
<h1>Credits</h1>

<p>RPTAGS was created by |cffbb00bbOraibi|r of the Moon Guard server.</p>

<p>Libraries used to create RPTAGS and RPUF include <a href="https://github.com/oUF-wow/oUF">oUF</a> by Trond A Esketh, Val Voronov, Adrian L Lange, and Rainrider;
<a href="https://www.wowace.com/projects/libstub">LibStub</a> by Kaelten, Cladhaire, ccknight, Mikk, Ammo, Nevcairiel, and johsborke;
<a href="https://wow.curseforge.com/projects/librealminfo">LibRealmInfo</a> by Phanx; and
<a href="https://www.wowace.com/projects/libsharedmedia-3-0">LibSharedMedia</a> by Elkano.</p>

<p>The tag editor uses the <a href="https://fonts.google.com/specimen/Source+Code+Pro">Source Code Pro</a> font by Paul D. Hunt for Adobe Systems.</p>

<p><a href="http:trp3">Total RP 3</a> created by Renaud "Ellypse" Parize, Sylvain "Telkostrasz" Cossement, Solanya, Connor "Saelorable" MacLeod, Daniel "Meorawr" Yates.</p>

<p><a href="http:trp3">MyRolePlay</a> created by Katorie, Myoukochou, TheTrenchRat.</p>

<p><a href="http:xrp">XRP</a> created by borblasthammer2.</p>

<p><a href="http:elvui">ElvUI</a> created by Blazeflack, Haste, Hydrazine, Nightcracker, Omega1970, Tukz, Azilroka, Simpy, and Merathilis.</p>
]==========================================================================]
  }; -- HELP_DATA

  RPTAGS.cache.help = HELP_DATA;

  return "docs";
end); -- startup function
