local RPTAGS = RPTAGS;
table.insert(RPTAGS.startup, function(state) -- startup function
  
  local lang   = "enUS";
  local Locale = RPTAGS.locale[lang];
  
  local TAG_DATA = { 

   -- [group] = { title = "localized-title",
   --             help = "help-page",
   --             tags = { [tag], [tag], [tag],
   --                      [tag] = { "localed-tag" or { "tag", "tag", "tag", }, ["localized-label", ["localized-description", [noPrefix,]]] }
   --                    },

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "BASICS",
     title = "Basic Tags",
     help = "These tags can be used to display basic information such as name, class, race, and title.",
     tags = {
       { name = "rp:class", label = "Class", desc = "Class", size = true, },
       { name = "rp:race", label = "Race", desc = "Race", size = true, },
       { name = "rp:name", alias = { "rp:fullname", "rp:name-full", }, label = "Name", desc = "Name", size = true, },
       { name = "rp:firstname", alias = { "rp:name-first", }, label = "First Name", desc = "First Name", size = true, },
       { name = "rp:lastname", alias = { "rp:name-last",  }, label = "Last Name", desc = "Last Name", size = true, },
       { name = "rp:name-known",  label = "Name", desc = "Name, only if known", size = true, },
       { name = "rp:nick", alias = { "rp:nickname", }, label = "Nickname", desc = "Nickname", size = true, },
       { name = "rp:nick-quoted", alias = { "rp:nickname-quoted", }, label = "Nickname", desc = "Nickname, in quotes", size = true, },
       { name = "rp:title", alias = { "rp:title-short", "rp:honorific", }, label = "Honorific", desc = "Honorific", size = true, },
       { name = "rp:fulltitle", alias = { "rp:title-full", "rp:title-long", }, label = "Title", desc = "Long Title", size = true, },
     }, -- tas
   }, -- basics

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "APPEARANCE",
     title = "Appearance Tags",
     help = "These tags describe the unit's facial and bodily characteristics,",
     tags = {
       { name = "rp:body", alias = { "rp:bodyshape" }, label = "Body Shape", desc = "Body Shape", size = true, },
       { name = "rp:eyes", label = "Eyes", desc = "Eyes", size = true, },
       { name = "rp:hair", label = "Hair", desc = "Hair", size = true,  },
       { name = "rp:height", label = "Height", desc = "Height", size = true,  },
       { name = "rp:markings", label = "Markings", desc = "Markings", size = true, unsup = "mrp",  },
       { name = "rp:physiognomy", label = "Physiognomy", desc = "Physiognomy", size = true, unsup = "mrp",  },
       { name = "rp:piercings", label = "Piercings", desc = "Piercings", size = true, unsup = "mrp",  },
       { name = "rp:sizebuff", label = "Size Buff", desc = "Size Buff", },
       { name = "rp:tattoos",label = "Tattoos", desc = "Tattoos", size = true, unsup = "mrp",  },
       { name = "rp:weight", label = "Weight", desc = "Weight", size = true,  },
       { title = "Claims", }, 
       { name = "rp:actor", alias = { "rp:actress", }, label = "Actor", desc = "Actor", size = true, unsup = "mrp" },
       { name = "rp:bodyclaim", label = "Body Claim", desc = "Body Claim", size = true, unsup = "mrp", },
       { name = "rp:faceclaim", label = "Face Claim", desc = "Face Claim", size = true,  unsup = "mrp", },
       { name = "rp:voiceclaim", label = "Voice Claim", desc = "Voice Claim", size = true, unsup = "mrp",  },

     }, -- tags
   }, -- body

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "GLANCE",
     title = "At First Glance Tags",
     help = "A unit can have up to five at-first-glance fields. Each field has an associated title, text, and icon.",
     tags = {
       { title = "Glance 1", }, 
       { name = "rp:glance-1", alias = { "rp:glance-1-title" }, desc = "Title", size = true, },
       { name = "rp:glance-1-text", desc = "Text", size = true, },
       { name = "rp:glance-1-full", desc = "Icon, Title, and Text", size = true, },
       { title = "Glance 2", }, 
       { name = "rp:glance-2", alias = { "rp:glance-2-title" }, desc = "Title", },
       { name = "rp:glance-2-text", desc = "Text", size = true, },
       { name = "rp:glance-2-full", desc = "Icon, Title, and Text", size = true, },
       { title = "Glance 3", }, 
       { name = "rp:glance-3", alias = { "rp:glance-3-title" }, desc = "Title", size = true, },
       { name = "rp:glance-3-text", desc = "Text", size = true, },
       { name = "rp:glance-3-full", desc = "Icon, Title, and Text", size = true, },
       { title = "Glance 4", }, 
       { name = "rp:glance-4", alias = { "rp:glance-4-title" }, desc = "Title", size = true, },
       { name = "rp:glance-4-text", desc = "Text", size = true, },
       { name = "rp:glance-4-full", desc = "Icon, Title, and Text", size = true, },
       { title = "Glance 5", }, 
       { name = "rp:glance-5", alias = { "rp:glance-5-title" }, desc = "Title", size = true, },
       { name = "rp:glance-5-text", desc = "Text", size = true, },
       { name = "rp:glance-5-full", desc = "Icon, Title, and Text", size = true, },
       { title = "All Glances", }, 
       { name = "rp:glance", alias = { "rp:glance-all"}, label = "At First Glance", desc = "All Titles", size = true,},
       { name = "rp:glance-full", alias = { "rp:glance-all-full"}, label = "At First Glance", desc = "All Icons, Titles, Text", },
     }, -- tags ##
   }, -- glance

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "COLORS",
     title = "Color Tags",
     help = "All color tags change the text color until the end of the current tag set, or another color tag is used. Many of the colors can be changed in settings. Relative colors are based on your own values compared to the unit's values.",
     tags = {
       { name = "rp:color", alias = { "rp:classcolor", "rp:namecolor" }, desc = "Profile Color" },
       { name = "rp:eyecolor", desc = "Eye Color" },
       { name = "rp:friendcolor", desc = "Friend Color" },
       { name = "rp:gendercolor", alias = { "rp:sexcolor" }, desc = "Gender Color", },
       { name = "rp:guildcolor", desc = "Guild Color" },
       { name = "rp:guildstatuscolor", desc = "Guild Status Color", unsup = "mrp", },
       { name = "rp:partycolor", alias = { "rp:raidcolor", }, desc = "Party Color", },
       { name = "rp:profilesizecolor", desc = "Profile Size Color" },
       { name = "rp:relationcolor", desc = "Relation Color", unsup = "mrp", },
       { name = "rp:statuscolor", desc = "Status Color" },
       { name = "nocolor", desc = "Reset Colors", no_prefix = true, },
       { title = "Comparison Colors", }, 
       { name = "rp:agecolor", desc = "Relative Age Color" },
       { name = "rp:heightcolor", desc = "Relative Height Color" },
       { name = "rp:weightcolor", desc = "Relative Weight Color" },
       { title = "Hilite Colors", }, 
       { name = "rp:hilite-1", alias = { "rp:hilite", "rp:hilite-color", "rp:hilite-color-1", }, desc = "Hilite Color 1", },
       { name = "rp:hilite-2", alias = { "rp:hilite-color-2", }, desc = "Hilite Color 2", },
       { name = "rp:hilite-3", alias = { "rp:hilite-color-3", }, desc = "Hilite Color 3", },
     } -- tags
   }, -- colors

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "FORMATTING",
     title = "Formatting Tags",
     help = "These tags can insert blank lines.",
       "HELPTOPIC_FORMATTING",
     tags = {
       { name = "br", desc = "Line Break", no_prefix = true, },
       { name = "p",  desc = "Paragraph Break", no_prefix = true, },
       }, -- tags
   }, -- formatting

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "GENDER",
     title = "Gender and Pronoun Tags",
     help = "RPTAGS understands a number of genders and pronouns. It will check a unit's 'Gender' or 'Pronouns' custom fields, " ..
            "and their 'Race' setting, before using the game gender. " ..
            '(See <a href="https://en.wikipedia.org/wiki/Third-person_pronoun#Summary">Wikipedia</a> for details on the pronouns supported by RPTAGS.)',
     tags = {
       { name = "rp:gender", alias = { "rp:sex", }, label = "Gender", desc = "Gender", size = true, },
       { name = "rp:pronouns", label = "Pronouns", desc = "Preferred Pronouns", size = true, },
       { title = "Nominative Pronouns", }, 
       { name = "rp:s", desc = "she, he, they, it" },
       { name = "rp:S", desc = "She, He, They, It" },
       { title = "Object Pronouns", }, 
       { name = "rp:o", desc = "her, him, them, it" },
       { name = "rp:O", desc = "Her, Him, Them, It" },
       { title = "Possessive Pronouns", }, 
       { name = "rp:p", desc = "her, his, their, its" },
       { name = "rp:P", desc = "Her, His, Their, Its" },
       { title = "Absolute Pronouns", }, 
       { name = "rp:a", desc = "hers, his, theirs, its" },
       { name = "rp:A", desc = "Hers, His, Theirs, Its" },
       { title = "Reflexive Pronouns", }, 
       { name = "rp:r", desc = "herself, himself, themselves" },
       { name = "rp:R", desc = "Herself, Himself, Themselves" },
       }, -- tags
   }, -- gender

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "HISTORY",
     title = "History Tags",
     help = "These tags give information based on the unit's age, birthplace, or custom birthday field.",
     tags = {
       { name = "rp:age", label = "Age", desc = "Age", size = true, },
       { name = "rp:years", label = "Age", desc = "Age, in Years", },
       { name = "rp:years-old", label = "Age", desc = "Age, in Years Old", },
       { name = "rp:years-ago", label = "Born", desc = "Age, Years Ago Born", },
       { name = "rp:birthday", label = "Birthday", desc = "Birthday", unsup = "mrp", size = true, },
       { name = "rp:birthplace", label = "Birthplace", desc = "Birthplace", size = true, },
     }, -- tags
   }, -- age

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "ICONS",
     title = "Icon Tags",
     help = "These tags display inline icons based on various fields.",
     tags = {
       { name = "rp:icon", desc = "Profile Icon" },
       { name = "rp:gendericon", alias = { "rp:sexicon", }, desc = "Gender Icon", },
       { name = "rp:raceicon", desc = "Race Icon" },
       { name = "rp:statusicon", desc = "IC/OOC Status Icon" },
       { name = "rp:pvpicon", desc = "PVP Icon" },
       { name = "rp:relationicon", desc = "Relation Icon", unsup = "mrp", },
       -- { name = "rp:client-icon", desc = "RP Client Icon" },
       { name = "rp:sizebufficon", desc = "Size Buff Icon" },
       { title = "At First-Glance Icons", }, 
       { name = "rp:glance-1-icon", desc = "Glance Icon 1" },
       { name = "rp:glance-2-icon", desc = "Glance Icon 2" },
       { name = "rp:glance-3-icon", desc = "Glance Icon 3" },
       { name = "rp:glance-4-icon", desc = "Glance Icon 4" },
       { name = "rp:glance-5-icon", desc = "Glance Icon 5" },
       { name = "rp:glance-icons", desc = "All Glance Icons" },
       { title = "Note Indicator Icons", }, 
       { name = "rp:note-1-icon", desc = "Keyword 1 Icon", unsup = "mrp", },
       { name = "rp:note-2-icon", desc = "Keyword 2 Icon", unsup = "mrp", },
       { name = "rp:note-3-icon", desc = "Keyword 3 Icon", unsup = "mrp", },
       { title = "RP Experience Icons", }, 
       { name = "rp:xp-icon", desc = "Icon", unsup = "mrp", },
       { name = "rp:rookie-icon", desc = "Beginner Icon", unsup = "mrp", },
       { name = "rp:volunteer-icon", desc = "Volunteer Icon", unsup = "mrp", },
       { title = "RP Style Icons", }, 
       { name = "rp:style-ic-icon", desc = "IC Frequency", },
       { name = "rp:style-injury-icon", desc = "Injury", unsup = "mrp", },
       { name = "rp:style-death-icon", desc = "Death", unsup = "mrp", },
       { name = "rp:style-battle-icon", desc = "Battles", unsup = "mrp", },
       { name = "rp:style-romance-icon", desc = "Romance", unsup = "mrp", },
       { name = "rp:style-guild-icon", desc = "IC Guild", unsup = "mrp", },
       { name = "rp:style-icons", desc = "All RP Style Icons", unsup = "mrp", },

       }, -- tags
   }, -- icons

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "PROFILE",
     title = "Profile and Client Tags",
     help = "These tags include those based on your note and relationship settings for the unit, and the unit's roleplaying client.",
     tags = {
       { name = "rp:profilesize", label = "Profile Size", desc = "Profile Size", },
       { title = "Note Matches", }, 
       { name = "rp:note-1", label = "Note", desc = "Keyword 1", unsup = "mrp", size = true, },
       { name = "rp:note-2", label = "Note", desc = "Keyword 2", unsup = "mrp", size = true, },
       { name = "rp:note-3", label = "Note", desc = "Keyword 3", unsup = "mrp", size = true, },
       { title = "Relation Tags", }, 
       { name = "rp:relation", label = "Relation", desc = "Relation Type", unsup = "mrp", },
       { name = "rp:relation-who", label = "Relation", desc = "Relation Description", unsup = "mrp", },
       { title = "Roleplaying Client Tags", }, 
       { name = "rp:client", label = "RP Client", desc = "Client Name", },
       { name = "rp:client-short", desc = "Abbreviation" },
       { name = "rp:client-version", label = "RP Client Version", desc = "Version", },
       { name = "rp:client-full", label = "RP Client Version", desc = "Name and Version", },
       { title = "rp:Specific Clients", }, 
       { name = "rp:mrp", alias = { "rp:client-mrp", "rp:myroleplay", }, desc = "MyRolePlay indicator", },
       { name = "rp:trp", alias = { "rp:client-trp", "rp:trp3", "rp:totalrp", "rp:totalrp3", }, desc = "Total RP 3 indicator", },
       { name = "rp:extended", alias = { "rp:client-trp-extended", "rp:trp-extended", }, desc = "TRP3 Extended indicator", },
       { name = "rp:xrp", alias = { "rp:client-xrp", }, desc = "XRP indicator", },
     }, -- tags
   }, -- misc

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "STATUS",
     title = "Roleplaying Status Tags",
     help = "These tags are based on in-character/out-of-character status, the currently/oocinfo setting, or the roleplaying experience setting.",
     tags = {
       { name = "rp:status", label = "Status", desc = "Status (IC, OOC, or NPC)", },
       { name = "rp:ic", desc = "IC Indicator" },
       { name = "rp:ooc", desc = "OOC Indicator" },
       { name = "rp:npc", desc = "NPC Indicator" },
       { name = "rp:open", alias = { "rp:lfc", "rp:lfm", }, desc = "Looking for Contact Indicator", },
       { name = "rp:storyteller", alias = { "rp:gm", }, desc = "Storyteller Indicator", },
       { title = "Currently", }, 
       { name = "rp:curr", alias = { "rp:currently", }, label = "Currently", desc = "IC Currently", size = true, },
       { name = "rp:info", alias = { "rp:oocinfo",   }, label = "OOC Info", desc = "OOC Info", size = true, },
       { title = "Roleplaying Experience", }, 
       { name = "rp:experience", label = "RP Experience", desc = "Rookie, Experienced, or Volunteer", },
       { name = "rp:xp", desc = "[R], [E], or [V]", unsup = "mrp", },
       { name = "rp:rookie", desc = "Rookie RPer indicator", unsup = "mrp", },
       { name = "rp:volunteer", desc = "Volunteer RPer indicator", unsup = "mrp", },
       }, -- tags
   }, -- status

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "STYLE",
     title = "Roleplaying Style Tags",
     help = "These tags are based on the unit's roleplay style preferences.",
     tags = {
       { title = "RP Styles", }, 
       { name = "rp:style-ic", label = "IC", desc = "IC Frequency", },
       { name = "rp:style-injury", label = "Injury", desc = "Injury", unsup = "mrp", },
       { name = "rp:style-death", label = "Death", desc = "Death", unsup = "mrp", },
       { name = "rp:style-romance", label = "Romance", desc = "Romance", unsup = "mrp", },
       { name = "rp:style-battle", label = "RP Battles", desc = "RP Battles", unsup = "mrp", },
       { name = "rp:style-guild", label = "Guild", desc = "IC Guild", unsup = "mrp", },
       { title = "RP Styles, long form", }, 
       { name = "rp:style-ic-long", label = "In-Character Frequence", desc = "In-Character Frequence", },
       { name = "rp:style-injury-long", label = "Accept Character Injury", desc = "Accept Character Injury", unsup = "mrp", },
       { name = "rp:style-death-long", label = "Accept Character Death", desc = "Accept Character Death", unsup = "mrp", },
       { name = "rp:style-romance-long", label = "Accept Character Romance", desc = "Accept Character Romance", unsup = "mrp", },
       { name = "rp:style-battle-long", label = "Roleplay Battle Resolution", desc = "Roleplay Battle Resolution", unsup = "mrp", },
       { name = "rp:style-guild-long", label = "Guild Membership", desc = "Guild Membership IC/OOC", unsup = "mrp", },
       { title = "All Style Preferences", }, 
       { name = "rp:style-yes", label = "Accepted RP Styles", desc = "All 'Yes'", unsup = "mrp", },
       { name = "rp:style-no", label = "Declined RP Styles", desc = "All 'No'", unsup = "mrp", },
       { name = "rp:style-ask", label = "Inquire About", desc = "All 'Ask First'", unsup = "mrp", },
     }, -- tags
   }, -- style

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "SERVER",
     title = "Server Tags",
     help = "These tags return information about the unit's home server.",
     tags = {

       { name = "rp:server", alias = { "rp:server-name", }, label = "Server", desc = "Server Name", },
       { name = "rp:server-mine", label = "Server", desc = "Server Name, if yours", },
       { name = "rp:server-notmine", label = "Server", desc = "Server Name, if not yours", },
       { name = "rp:server-abbr", label = "Server", desc = "Server Name, abbreviated", },
       { name = "rp:server-lang", label = "Server Language", desc = "Server Language", },
       { name = "rp:server-lang-short", label = "Server Language", desc = "Server Language, abbreviated", },
       { name = "rp:server-region", label = "Server Region", desc = "Server Region", },
       { name = "rp:server-subregion", label = "Server Subregion", desc = "Server Subregion", },
       { name = "rp:server-type", label = "Server Type", desc = "Server Type", },
       { name = "rp:server-type-short", label = "Server Type", desc = "Server Type, abbreviated", },
       { title = "Conditional Punctuation", },
       { name = "rp:server-star", alias = { "rp:server-asterisk", }, desc = "An asterisk, if not your server", },
       { name = "rp:server-dash", alias = { "rp:server-hyphen",   }, desc = "A hyphen, if not your server", }, 

      }, -- tags
   }, -- server

-- --------------------------------------------------------------------------------------------------------------------------------------------------
   { key = "SOCIAL",
     title = "Social Tags",
     help = "The unit's role in society are defined by these tags.",
     tags = {
       { name = "rp:alignment", label = "Alignment", desc = "Alignment", unsup = "mrp", size = true, },
       { name = "rp:family", label = "Family", desc = "Family", size = true, },
       { name = "rp:house", label = "House Name", desc = "House Name", size = true, },
       { name = "rp:guild", alias = { "rp:guild-name" }, label = "Guild", desc = "Guild Name", size = true,  },
       { name = "rp:guild-rank", label = "Guild Rank", desc = "Guild Rank", size = true, },
       { name = "rp:guild-status", desc = "Guild IC or OOC", unsup = "mrp", },
       { name = "rp:motto", label = "Motto", desc = "Motto", size = true, },
       { name = "rp:religion", alias = { "rp:faith", }, label = "Religion", desc = "Religion", unsup = "mrp", size = true, },
       { name = "rp:rstatus", label = "Relationship Status", desc = "Relationship Status", size = true, },
       { name = "rp:home", alias = { "rp:residence", }, label = "Home", desc = "Residence", size = true, },
       { name = "rp:sexuality", label = "Sexuality", desc = "Sexuality", unsup = "mrp", size = true, },
       { name = "rp:tribe", label = "Tribe", desc = "Tribe", size = true, },
     }, -- tags ##
   }, -- social

   { key = "TARGET",
     title = "Target Tags",
     help = "These tags don't draw data from the unit's profile, but from that unit's target.",
     tags = {
       { name = "rp:target", alias = { "rp:target-name", }, label = "Target", desc = "Name", size = true },
       { name = "rp:target-class", label = "Target's Class", desc = "Class", size = true, },
       { name = "rp:target-gender", label = "Target's Gender", desc = "Gender", size = true, },
       { name = "rp:target-race", label = "Target's Race", desc = "Race", size = true, },
       { name = "rp:target-status", desc = "Status", },
       { name = "rp:target-title", label = "Target's Title", desc = "Title", size = true, },
       { title = "Colors", },
       { name = "rp:target-color", desc = "Character Color", },
       { name = "rp:target-gendercolor", desc = "Gender Color", },
       { name = "rp:target-statuscolor", desc = "Status Color", },
       { title = "Icons", },
       { name = "rp:target-icon", desc = "Character Icon", },
       { name = "rp:target-gendericon", desc = "Gender Icon", },
       { name = "rp:target-statusicon", desc = "Status Icon", },
       { title = "Shorthand Tag", },
       { name = "rp:target-details", label = "Target", desc = "All Target's Details", size = true, }, 

       }, -- tags
    }, -- target
-- --------------------------------------------------------------------------------------------------------------------------------------------------


  { key = "OUF",
    title = "Appendix: oUF Frames",
    help = "oUF is the unit frame structure upon which RPTAGS is built. It provides tags mostly related to game play, but you can mix-and-match these with the tags from RPTAGS. These tags are those which are most useful in a roleplaying setting.",
    external = true,
    tags = {
        -- { "affix", nil, nil, "", true, }                                 -- these are tags that don't seem all that useful in RP
        -- { "arcanecharges", nil, nil, "", true, }
        -- { "arenaspec", nil, nil, "", true, }
        -- { "chi", nil, nil, "", true, }
        -- { "cpoints", nil, nil, "", true, }
        -- { "curhp", nil, nil, "", true, }
        -- { "curmana", nil, nil, "", true, }
        -- { "curpp", nil, nil, "", true, }
        -- { "deficit:name", nil, nil, "", true, }
        -- { "holypower", nil, nil, "", true, }
        -- { "leader", nil, nil, "", true, }
        -- { "leaderlong", nil, nil, "", true, }
        -- { "maxhp", nil, nil, "", true, }
        -- { "maxmana", nil, nil, "", true, }
        -- { "maxpp", nil, nil, "", true, }
        -- { "missinghp", nil, nil, "", true, }
        -- { "missingpp", nil, nil, "", true, }
        -- { "perhp", nil, nil, "", true, }
        -- { "perpp", nil, nil, "", true, }
        -- { "plus", nil, nil, "", true, }
        -- { "powercolor", nil, nil, "", true, }
        -- { "raidcolor", nil, nil, "", true, }
        -- { "rare", nil, nil, "", true, }
        -- { "runes", nil, nil, "", true, }
        -- { "shortclassification", nil, nil, "", true, }
        -- { "smartlevel", nil, nil, "", true, }
        -- { "soulshards", nil, nil, "", true, }
        -- { "threat", nil, nil, "", true, }
        -- { "threatcolor", nil, nil, "", true, }
        
        { name = "level", desc = "Character Level", no_prefix = true, },  -- these need to be orderd by the description, as done here
        { name = "smartclass", desc = "Class or Creature Type", no_prefix = true, },
        { name = "creature", desc = "Creature Type", no_prefix = true, },
        { name = "dead", desc = "Death Indicator", no_prefix = true, },
        { name = "class", desc = "Game Class", no_prefix = true, },
        { name = "faction", desc = "Game Faction", no_prefix = true, },
        { name = "name", desc = "Game Name", no_prefix = true, },
        { name = "race", desc = "Game Race", no_prefix = true, },
        { name = "sex", desc = "Game Sex", no_prefix = true, },
        { name = "status", desc = "Game Status Indicator", no_prefix = true, },
        { name = "group", desc = "Group Number in Raid", no_prefix = true, },
        { name = "offline", desc = "Offline Indicator", no_prefix = true, },
        { name = "pvp", desc = "PVP Indicator", no_prefix = true, },
        { name = "difficulty", desc = "Relative Difficulty", no_prefix = true, },
        { name = "resting", desc = "Resting Indicator, self only", no_prefix = true, },
        { name = "classification", desc = "Unit Classification", no_prefix = true, },
     }, -- tags ##
    } -- ouf
  }; -- TAG_DATA

  if state.elvui then
   table.insert(TAG_DATA,
    { key = "ELVUI",
      title = "Appendix: ElvUI Tags",
      help = "These are custom tags added by the ElvUI developers that you can use alongside your RPTAGS tags. This is a short list of the tags most useful to roleplayers.",
      external = true,
      tags = {
      
        { name = "afk", desc = "AFK Indicator", no_prefix = true, },
        { name = "classificationcolor", desc = "Classification Color", no_prefix = true, },
        { name = "classpowercolor", desc = "Class Power Color", no_prefix = true, },
        { name = "difficultycolor", desc = "Difficulty Color", no_prefix = true, },
        { name = "guild", desc = "Guild Name", no_prefix = true, },
        { name = "name:abbrev", desc = "Game Name, abbreviated", no_prefix = true, },
        { name = "name:veryshort", desc = "Game Name, 5 letters", no_prefix = true, },
        { name = "name:short", desc = "Game Name, 10 letters", no_prefix = true, },
        { name = "name:medium", desc = "Game Name, 15 letters", no_prefix = true, },
        { name = "name:long", desc = "Game Name, 20 letters", no_prefix = true, },
        { name = "namecolor", desc = "Class Color", no_prefix = true, },
        { name = "pvptimer", desc = "PvP Cooldown Timer", no_prefix = true, },
        { name = "realm", desc = "Server Name", no_prefix = true, },
        { name = "statustimer", desc = "Status Timer", no_prefix = true, },
        { name = "target", desc = "Target's Name", no_prefix = true, },
     } -- tags
  });
  end; -- if elvui

  RPTAGS.cache.TAG_DATA = TAG_DATA;

  return "enUS-tagdata";
end); -- startup
