-- ------------------------------------------------------------------------------
-- RP Tags 
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.

--Notices:

--You do not have to comply with the license for elements of the material
--in the public domain or where your use is permitted by an applicable
--exception or limitation.

--No warranties are given. The license may not give you all of the
--permissions necessary for your intended use. For example, other rights
--such as publicity, privacy, or moral rights may limit how you use the material.
-- ------------------------------------------------------------------------------

local RPTAGS     = RPTAGS;

table.insert(RPTAGS.startup, function(state) -- startup function
  if state.trp3
  then 
    local TRP3_API     = TRP3_API;
    local loc          = RPTAGS.utils.locale.loc;
  
    local Register = { addon = TRP3_API.module.registerModule, callback = TRP3_API.Events.registerCallback, };
    local refreshAll   = RPTAGS.utils.tags.refreshAll;
    local getUnitID    = TRP3_API.utils.str.getUnitID;
    local unitIDToInfo = TRP3_API.utils.str.unitIDToInfo;
    
    local EVENT_NEWDATA  = 
    
    Register.addon( { -- let trp3 know we exist and set up our callback for new profile received
      ["name"]        = string.format(loc("FMT_APP_NAME"), loc("APP_NAME"), loc("APP_VERSION_MODE")),
      ["description"] = loc("APP_DESC"),
      ["version"]     = loc("APP_VERSION"),
      ["id"]          = loc("APP_ID"),
      ["minVersion"]  = 3,
      ["autoEnable"]  = true,
      ["onStart"]     = function() 
                          Register.callback(TRP3_API.events.REGISTER_DATA_UPDATED,
                            function(unitID)
                              if not unitID then return end
                              -- we're going to listen for trp3 update event and make our unitframes update when it happens
                              local unit_name, _ = unitIDToInfo(unitID);
                              if getUnitID("target")       == unitID or 
                                 getUnitID("player")       == unitID or 
                                 getUnitID("focus")        == unitID or 
                                 getUnitID("targettarget") == unitID or
                                 UnitInRaid(unitID)                  or 
                                 UnitInRaid(unit_name)               or
                                 UnitInParty(unitID)                 or 
                                 UnitInParty(unit_name)  
                              then refreshAll() 
                              end; -- if 
                            end);  -- end of our callback handler for new data
                        end -- of the onStart function
       }); -- closes the addon registering table and the function params
  
    return "core-trp3";
  else
    return "core-trp3-disabled";
  end;
end); -- startup function
